import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import java.util.Random;
import javax.swing.JOptionPane;
public class Zone extends JApplet {
    
    //global variables
    
    int wld = 0; //win/lose/draw
    int[][][][] grid = new int[14][14][11][10];//x y z v
    
    int[][][][] newgrid = new int[14][14][11][10];
    //grid stores the location of all objects
    
    //player location for quick refference
    int playerx = 11;
    int playery = 8;
    int playerz = 0;
    
    //weapons and amo
    int weapon = 0;//0 - none, 1 - pistol, 2 - shotgun, 3 - rifle, 4 - laser
    int[] ammo = new int[3];//0 - pistol, 1 - shotgun, 2 - rifle
    
    //is an event successful?
    boolean success = false;
    
    //Listener
    Listener listen = new Listener();
    
    //placeholder for a random number
    int ranNum = 0;
    int ranNumy = 0;
    int ranNumz = 0;
    
    //placeholder for loops
    int number = 0;
    
    //Instantiate Randomn Generator
    Random Randomness = new Random();
    
    //Instantiate alert box
    JOptionPane alert = new JOptionPane();
    
    //What missions has the player completed?
    int trigger = 0;
    //0 - "Get a weapon"
    //1 - "Go see the researcher on 4"
    //2 - "Get research on 8"
    //3 - "Get back to researcher"
    //4 - "Talk to priest on 4
    //5 - "See Researcher"
    //6 - "See Priest"
    //07 - "Get laser in basement"
    //08 - "Escape to roof"
    
    //number of moves the player makes (a cycle 0-4)
    int aimove = 0;
    
    //ImageIcons
    ImageIcon Nothing;
    ImageIcon Player;
    ImageIcon PlayerP;
    ImageIcon PlayerS;
    ImageIcon PlayerR;
    ImageIcon PlayerL;
    ImageIcon Zombie;
    ImageIcon Wall;
    ImageIcon Border;
    ImageIcon StairUp;
    ImageIcon StairDown;
    ImageIcon HorDoor;
    ImageIcon VerDoor;
    ImageIcon Vent;
    ImageIcon PistolPic;
    ImageIcon PAmmoPic;
    ImageIcon ShotgunPic;
    ImageIcon SAmmoPic;
    ImageIcon RiflePic;
    ImageIcon RAmmoPic;
    ImageIcon LaserPic;
    ImageIcon ResearchPic;
    ImageIcon ResearcherDude;
    ImageIcon PriestDude;
    ImageIcon GaurdDude;
    ImageIcon BottomExit;
    ImageIcon TopExit;
    
    
    //Parts of the Screen
    JPanel inputzone = new JPanel();
    JPanel Info = new JPanel();
    JLabel PositionTop = new JLabel();
    JLabel Position = new JLabel();
    JLabel MissionTop = new JLabel();
    JLabel Mission = new JLabel();
    JLabel InstantTop = new JLabel();
    JLabel Instant = new JLabel();
    JLabel WeaponsTop = new JLabel();
    JLabel KillingDevice = new JLabel();
    JLabel PAmmo = new JLabel();
    JLabel SAmmo = new JLabel();
    JLabel RAmmo = new JLabel();
    
    //Ammo for guns
    int AmmoR = 0;
    int AmmoS = 0;
    int AmmoP = 0;
    
    //Visible Grid
    JButton A1 = new JButton();
    JButton A2 = new JButton();
    JButton A3 = new JButton();
    JButton A4 = new JButton();
    JButton A5 = new JButton();
    JButton B1 = new JButton();
    JButton B2 = new JButton();
    JButton B3 = new JButton();
    JButton B4 = new JButton();
    JButton B5 = new JButton();
    JButton C1 = new JButton();
    JButton C2 = new JButton();
    JButton C3 = new JButton();
    JButton C4 = new JButton();
    JButton C5 = new JButton();
    JButton D1 = new JButton();
    JButton D2 = new JButton();
    JButton D3 = new JButton();
    JButton D4 = new JButton();
    JButton D5 = new JButton();
    JButton E1 = new JButton();
    JButton E2 = new JButton();
    JButton E3 = new JButton();
    JButton E4 = new JButton();
    JButton E5 = new JButton();
    
    
    
    public void init() {
        Class myClass = Zone.class;
        Nothing = new ImageIcon(myClass.getResource("Nothing.jpg"));
        Zombie = new ImageIcon(myClass.getResource("Zombie.jpg"));
        Player = new ImageIcon(myClass.getResource("Player.jpg"));
        PlayerP = new ImageIcon(myClass.getResource("PlayerP.jpg"));
        PlayerS = new ImageIcon(myClass.getResource("PlayerS.jpg"));
        PlayerR = new ImageIcon(myClass.getResource("PlayerR.jpg"));
        PlayerL = new ImageIcon(myClass.getResource("PlayerL.jpg"));
        Border = new ImageIcon(myClass.getResource("Border.jpg"));
        StairUp = new ImageIcon(myClass.getResource("StairUp.jpg"));
        StairDown = new ImageIcon(myClass.getResource("StairDown.jpg"));
        HorDoor = new ImageIcon(myClass.getResource("HorDoor.jpg"));
        VerDoor = new ImageIcon(myClass.getResource("VerDoor.jpg"));
        Vent = new ImageIcon(myClass.getResource("Vent.jpg"));
        PistolPic = new ImageIcon(myClass.getResource("PistolPic.jpg"));
        Wall = new ImageIcon(myClass.getResource("Wall.jpg"));
        PAmmoPic = new ImageIcon(myClass.getResource("PAmmoPic.jpg"));
        ShotgunPic = new ImageIcon(myClass.getResource("ShotgunPic.jpg"));
        SAmmoPic = new ImageIcon(myClass.getResource("SAmmoPic.jpg"));
        RiflePic = new ImageIcon(myClass.getResource("RiflePic.jpg"));
        RAmmoPic = new ImageIcon(myClass.getResource("RAmmoPic.jpg"));
        LaserPic = new ImageIcon(myClass.getResource("LaserPic.jpg"));
        ResearchPic = new ImageIcon(myClass.getResource("ResearchPic.jpg"));
        ResearcherDude = new ImageIcon(myClass.getResource("ResearcherDude.jpg"));
        PriestDude = new ImageIcon(myClass.getResource("PriestDude.jpg"));
        GaurdDude = new ImageIcon(myClass.getResource("GaurdDude.jpg"));
        TopExit = new ImageIcon(myClass.getResource("TopExit.jpg"));
        BottomExit = new ImageIcon(myClass.getResource("BottomExit.jpg"));
        
        PositionTop.setText("*---Your Current Position---*");
        MissionTop.setText( "*---Your Current Mission---*");
        InstantTop.setText( "*----Status of Your Area----*");
        WeaponsTop.setText( "*-------Weapons & Ammo------*");
        
        if (weapon == 0)
            KillingDevice.setText("Current Weapon: Fists");
        if (weapon == 1)
            KillingDevice.setText("Current Weapon: Pistol");
        if (weapon == 2)
            KillingDevice.setText("Current Weapon: Shotgun");
        if (weapon == 3)
            KillingDevice.setText("Current Weapon: Rifle");
        if (weapon == 4)
            KillingDevice.setText("Current Weapon: Laser");
        
        PAmmo.setText("Pistol Ammo: " + AmmoP);
        SAmmo.setText("Shotgun Ammo: " + AmmoS);
        RAmmo.setText("Rifle Ammo: " + AmmoR);
        Position.setText("X: " + (playerx -2)+ " Y: " + (playery-2) + " Floor: " + playerz);
        Mission.setText("Find a weapon");
        Instant.setText("You are in the basement");
        A1.setIcon(Border);
        A2.setIcon(Border);
        A3.setIcon(Nothing);
        A4.setIcon(Border);
        A5.setIcon(Border);
        B1.setIcon(Border);
        B2.setIcon(Wall);
        B3.setIcon(Wall);
        B4.setIcon(Wall);
        B5.setIcon(Border);
        C1.setIcon(Wall);
        C2.setIcon(Nothing);
        C3.setIcon(Player);
        C4.setIcon(Wall);
        C5.setIcon(Wall);
        D1.setIcon(Border);
        D2.setIcon(Nothing);
        D3.setIcon(Nothing);
        D4.setIcon(Wall);
        D5.setIcon(Border);
        E1.setIcon(Border);
        E2.setIcon(Border);
        E3.setIcon(Vent);
        E4.setIcon(Border);
        E5.setIcon(Border);
        
        //setup the grid
        
        //loop for the bounds
        
        for (number = 0; number < 11; number ++) {
            grid[00][00][number][00] = 05;
            grid[01][00][number][00] = 05;
            grid[02][00][number][00] = 05;
            grid[03][00][number][00] = 05;
            grid[04][00][number][00] = 05;
            grid[05][00][number][00] = 05;
            grid[06][00][number][00] = 05;
            grid[07][00][number][00] = 05;
            grid[8][00][number][00] = 05;
            grid[9][00][number][00] = 05;
            grid[10][00][number][00] = 05;
            grid[11][00][number][00] = 05;
            grid[12][00][number][00] = 05;
            grid[13][00][number][00] = 05;
            grid[00][01][number][00] = 05;
            grid[01][01][number][00] = 05;
            grid[02][01][number][00] = 05;
            grid[03][01][number][00] = 05;
            grid[04][01][number][00] = 05;
            grid[05][01][number][00] = 05;
            grid[06][01][number][00] = 05;
            grid[07][01][number][00] = 05;
            grid[8][01][number][00] = 05;
            grid[9][01][number][00] = 05;
            grid[10][01][number][00] = 05;
            grid[11][01][number][00] = 05;
            grid[12][01][number][00] = 05;
            grid[13][01][number][00] = 05;
            grid[00][03][number][00] = 05;
            grid[13][03][number][00] = 05;
            grid[01][03][number][00] = 05;
            grid[12][03][number][00] = 05;
            grid[00][02][number][00] = 05;
            grid[13][02][number][00] = 05;
            grid[01][02][number][00] = 05;
            grid[12][02][number][00] = 05;
            grid[00][04][number][00] = 05;
            grid[13][04][number][00] = 05;
            grid[01][04][number][00] = 05;
            grid[12][04][number][00] = 05;
            grid[00][05][number][00] = 05;
            grid[13][05][number][00] = 05;
            grid[01][05][number][00] = 05;
            grid[12][05][number][00] = 05;
            grid[00][06][number][00] = 05;
            grid[13][06][number][00] = 05;
            grid[01][06][number][00] = 05;
            grid[12][06][number][00] = 05;
            grid[00][07][number][00] = 05;
            grid[13][07][number][00] = 05;
            grid[01][07][number][00] = 05;
            grid[12][07][number][00] = 05;
            grid[00][8][number][00] = 05;
            grid[13][8][number][00] = 05;
            grid[01][8][number][00] = 05;
            grid[12][8][number][00] = 05;
            grid[00][9][number][00] = 05;
            grid[13][9][number][00] = 05;
            grid[01][9][number][00] = 05;
            grid[12][9][number][00] = 05;
            grid[00][10][number][00] = 05;
            grid[13][10][number][00] = 05;
            grid[01][10][number][00] = 05;
            grid[12][10][number][00] = 05;
            grid[00][11][number][00] = 05;
            grid[13][11][number][00] = 05;
            grid[01][11][number][00] = 05;
            grid[12][11][number][00] = 05;
            grid[00][12][number][00] = 05;
            grid[01][12][number][00] = 05;
            grid[02][12][number][00] = 05;
            grid[03][12][number][00] = 05;
            grid[04][12][number][00] = 05;
            grid[05][12][number][00] = 05;
            grid[06][12][number][00] = 05;
            grid[07][12][number][00] = 05;
            grid[8][12][number][00] = 05;
            grid[9][12][number][00] = 05;
            grid[10][12][number][00] = 05;
            grid[11][12][number][00] = 05;
            grid[12][12][number][00] = 05;
            grid[13][12][number][00] = 05;
            grid[00][13][number][00] = 05;
            grid[01][13][number][00] = 05;
            grid[02][13][number][00] = 05;
            grid[03][13][number][00] = 05;
            grid[04][13][number][00] = 05;
            grid[05][13][number][00] = 05;
            grid[06][13][number][00] = 05;
            grid[07][13][number][00] = 05;
            grid[8][13][number][00] = 05;
            grid[9][13][number][00] = 05;
            grid[10][13][number][00] = 05;
            grid[11][13][number][00] = 05;
            grid[12][13][number][00] = 05;
            grid[13][13][number][00] = 05;
        }
        //basement
       // grid[5][5][00][03] = 05;
        
        grid[2][2][00][00]= 05;
        grid[4][2][00][00]= 05;
        grid[6][2][00][00]= 05;
        grid[10][2][00][00]= 05;
        grid[2][3][00][00]= 05;
        grid[6][3][00][00]= 05;
        grid[8][3][00][00]= 05;
        grid[2][4][00][00]= 05;
        grid[4][4][00][00]= 05;
        grid[5][4][00][00]= 05;
        grid[6][4][00][00]= 05;
        grid[8][4][00][00]= 05;
        grid[8][5][00][00]= 05;
        grid[9][5][00][00]= 05;
        grid[11][5][00][00]= 05;
        grid[3][6][00][00]= 05;
        grid[5][6][00][00]= 05;
        grid[5][7][00][00]= 05;
        grid[9][7][00][00]= 05;
        grid[10][7][00][00]= 05;
        grid[11][7][00][00]= 05;
        grid[2][8][00][00]= 05;
        grid[3][8][00][00]= 05;
        grid[4][8][00][00]= 05;
        grid[5][8][00][00]= 05;
        grid[7][8][00][00]= 05;
        grid[9][8][00][00]= 05;
        grid[7][9][00][00]= 05;
        grid[5][10][00][00]= 05;
        grid[7][10][00][00]= 05;
        grid[9][10][00][00]= 05;
        grid[2][11][00][00]= 05;
        grid[4][11][00][00]= 05;
        grid[5][11][00][00]= 05;
        grid[6][11][00][00]= 05;
        grid[7][11][00][00]= 05;
        grid[8][11][00][00]= 05;
        grid[9][11][00][00]= 05;
        grid[10][11][00][00]= 05;
        grid[11][11][00][00]= 05;
        grid[5][2][00][01] = 03;
        grid[8][2][00][01] = 07;
        grid[11][2][00][01] = 11;
        grid[4][3][00][01] = 07;
        grid[5][3][00][02] = 10;
        grid[9][3][00][01] = 10;
        grid[3][4][00][01] = 06;
        grid[10][5][00][01] = 06;
        grid[5][9][00][01] = 07;
        grid[9][9][00][01] = 07;
        grid[3][10][00][02] = 10;
        grid[11][10][00][01] = 8;
        grid[3][11][00][00] = 8;
        
        //Floor 1
        grid[2][2][1][00] = 05;
        grid[3][2][1][01] = 8;
        grid[5][2][1][01] = 04;
        grid[6][2][1][00] = 05;
        grid[7][2][1][00] = 07;
        grid[8][2][1][00] = 07;
        grid[9][2][1][00] = 05;
        grid[10][2][1][01] = 11;
        grid[2][3][1][00] = 05;
        grid[5][3][1][02] = 10;
        grid[6][3][1][00] = 05;
        grid[7][3][1][02] = 10;
        grid[8][3][1][02] = 10;
        grid[9][3][1][00] = 05;
        grid[11][3][1][01] = 10;
        grid[2][4][1][00] = 05;
        grid[5][4][1][00] = 05;
        grid[6][4][1][00] = 05;
        grid[7][4][1][02] = 10;
        grid[8][4][1][02] = 10;
        grid[9][4][1][00] = 05;
        grid[10][4][1][01] = 06;
        grid[11][4][1][00] = 05;
        grid[2][5][1][00] = 05;
        grid[8][5][1][00] = 05;
        grid[11][5][1][00] = 05;
        grid[2][6][1][00] = 05;
        grid[4][6][1][00] = 05;
        grid[6][6][1][00] = 05;
        grid[9][6][1][00] = 05;
        grid[11][6][1][00] = 05;
        grid[2][7][1][00] = 05;
        grid[11][7][1][00] = 05;
        grid[2][8][1][00] = 05;
        grid[5][8][1][00] = 05;
        grid[6][8][1][01] = 06;
        grid[7][8][1][00] = 05;
        grid[8][8][1][00] = 05;
        grid[11][8][1][00] = 05;
        grid[2][9][1][00] = 05;
        grid[3][9][1][02] = 10;
        grid[4][9][1][02] = 10;
        grid[5][9][1][00] = 05;
        grid[7][9][1][00] = 05;
        grid[8][9][1][00] = 05;
        grid[9][9][1][02] = 10;
        grid[10][9][1][02] = 10;
        grid[11][9][1][00] = 05;
        grid[2][10][1][00] = 05;
        grid[3][10][1][02] = 10;
        grid[4][10][1][02] = 10;
        grid[5][10][1][00] = 05;
        grid[6][10][1][02] = 10;
        grid[7][10][1][01] = 03;
        grid[8][10][1][00] = 05;
        grid[9][10][1][02] = 10;
        grid[10][10][1][02] = 10;
        grid[11][10][1][00] = 05;
        grid[2][11][1][00] = 05;
        grid[3][11][1][00] = 8;
        grid[4][11][1][00] = 8;
        grid[5][11][1][00] = 05;
        grid[6][11][1][00] = 05;
        grid[7][11][1][00] = 05;
        grid[8][11][1][00] = 05;
        grid[9][11][1][00] = 8;
        grid[10][11][1][00] = 8;
        grid[11][11][1][00] = 05;
        
        //floor 2
        grid[03][02][2][01] = 03;
        grid[04][02][2][02] = 10;
        grid[10][02][2][00] = 05;
        grid[02][03][2][01] = 06;
        grid[03][03][2][00] = 05;
        grid[04][03][2][00] = 05;
        grid[05][03][2][00] = 05;
        grid[06][03][2][00] = 05;
        grid[07][03][2][00] = 05;
        grid[8][03][2][00] = 05;
        grid[10][04][2][00] = 05;
        grid[02][05][2][00] = 05;
        grid[03][05][2][00] = 05;
        grid[04][05][2][01] = 06;
        grid[05][05][2][00] = 05;
        grid[06][05][2][00] = 05;
        grid[8][05][2][00] = 05;
        grid[9][05][2][00] = 05;
        grid[10][05][2][00] = 05;
        grid[06][06][2][00] = 05;
        grid[06][07][2][01] = 07;
        grid[9][07][2][00] = 05;
        grid[10][07][2][00] = 05;
        grid[06][8][2][00] = 05;
        grid[05][9][2][01] = 8;
        grid[06][9][2][00] = 05;
        grid[07][9][2][00] = 05;
        grid[9][9][2][00] = 05;
        grid[10][9][2][00] = 05;
        grid[11][9][2][01] = 06;
        grid[06][10][2][00] = 05;
        grid[07][10][2][01] = 04;
        grid[9][10][2][01] = 07;
        grid[06][11][2][00] = 05;
        grid[07][11][2][00] = 05;
        grid[9][11][2][00] = 05;
        grid[10][11][2][01] = 10;
        grid[11][11][2][01] = 11;
        
        //level 3
        grid[02][02][03][00] = 05;
        grid[03][02][03][01] = 04;
        grid[04][02][03][00] = 05;
        grid[06][02][03][00] = 05;
        grid[07][02][03][00] = 05;
        grid[11][02][03][01] = 8;
        grid[02][03][03][00] = 05;
        grid[04][04][03][00] = 05;
        grid[05][04][03][00] = 05;
        grid[06][04][03][01] = 06;
        grid[07][04][03][00] = 05;
        grid[8][04][03][00] = 05;
        grid[10][04][03][00] = 05;
        grid[02][05][03][00] = 05;
        grid[04][05][03][00] = 05;
        grid[07][05][03][01] = 8;
        grid[8][05][03][00] = 05;
        grid[10][05][03][00] = 05;
        grid[11][05][03][01] = 06;
        grid[04][06][03][01] = 07;
        grid[8][06][03][01] = 07;
        grid[10][06][03][00] = 05;
        grid[11][06][03][01] = 13;
        grid[04][07][03][00] = 05;
        grid[06][07][03][02] = 8;
        grid[8][07][03][00] = 05;
        grid[10][07][03][01] = 07;
        grid[11][07][03][01] = 12;
        grid[04][8][03][00] = 05;
        grid[05][8][03][00] = 05;
        grid[06][8][03][00] = 05;
        grid[07][8][03][00] = 05;
        grid[8][8][03][00] = 05;
        grid[10][8][03][00] = 05;
        grid[11][8][03][00] = 05;
        grid[05][9][03][00] = 05;
        grid[8][9][03][00] = 05;
        grid[02][10][03][00] = 05;
        grid[03][10][03][00] = 05;
        grid[04][10][03][01] = 06;
        grid[05][10][03][00] = 05;
        grid[06][10][03][00] = 06;
        grid[07][10][03][00] = 05;
        grid[8][10][03][00] = 05;
        grid[10][10][03][00] = 05;
        grid[03][11][03][01] = 07;
        grid[05][11][03][01] = 07;
        grid[8][11][03][00] = 05;
        grid[11][11][03][01] = 03;
        
        //level 4
        grid[02][02][04][01] = 03;
        grid[03][02][04][03] = 10;
        grid[04][02][04][00] = 05;
        grid[07][02][04][00] = 05;
        grid[8][02][04][00] = 05;
        grid[9][02][04][00] = 05;
        grid[11][02][04][01] = 8;
        grid[02][03][04][02] = 10;
        grid[04][03][04][01] = 07;
        grid[07][03][04][00] = 05;
        grid[8][03][04][01] = 12;
        grid[9][03][04][00] = 05;
        grid[02][04][04][01] = 06;
        grid[03][04][04][00] = 05;
        grid[04][04][04][00] = 05;
        grid[05][04][04][00] = 05;
        grid[07][04][04][01] = 07;
        grid[8][04][04][01] = 10;
        grid[9][04][04][01] = 07;
        grid[04][05][04][00] = 05;
        grid[07][05][04][00] = 05;
        grid[8][05][04][00] = 05;
        grid[9][05][04][00] = 05;
        grid[03][06][04][00] = 05;
        grid[04][06][04][00] = 05;
        grid[05][06][04][00] = 05;
        grid[9][06][04][01] = 07;
        grid[04][07][04][00] = 05;
        grid[07][07][04][00] = 05;
        grid[8][07][04][01] = 06;
        grid[9][07][04][00] = 05;
        grid[10][07][04][00] = 05;
        grid[11][07][04][00] = 05;
        grid[03][8][04][00] = 05;
        grid[04][8][04][00] = 05;
        grid[05][8][04][00] = 05;
        grid[07][8][04][01] = 07;
        grid[9][8][04][02] = 05;
        grid[04][9][04][00] = 05;
        grid[05][9][04][01] = 8;
        grid[07][9][04][00] = 05;
        grid[10][9][04][00] = 05;
        grid[11][9][04][01] = 06;
        grid[03][10][04][00] = 05;
        grid[04][10][04][00] = 05;
        grid[05][10][04][00] = 05;
        grid[06][10][04][01] = 06;
        grid[07][10][04][00] = 05;
        grid[8][10][04][00] = 05;
        grid[9][10][04][00] = 05;
        grid[10][10][04][00] = 05;
        grid[11][10][04][02] = 10;
        grid[10][11][04][00] = 05;
        grid[11][11][04][01] = 04;
        
        //level 5
        grid[02][02][05][01] = 04;
        grid[03][02][05][00] = 05;
        grid[8][02][05][03] = 05;
        grid[9][02][05][01] = 07;
        grid[10][02][05][01] = 10;
        grid[11][02][05][01] = 12;
        grid[02][03][05][01] = 06;
        grid[03][03][05][00] = 05;
        grid[05][03][05][00] = 05;
        grid[07][03][05][00] = 05;
        grid[9][03][05][00] = 05;
        grid[11][03][05][01] = 11;
        grid[05][04][05][03] = 05;
        grid[9][04][05][00] = 05;
        grid[11][04][05][01] = 13;
        grid[02][05][05][00] = 05;
        grid[03][05][05][00] = 05;
        grid[04][05][05][00] = 05;
        grid[05][05][05][00] = 05;
        grid[06][05][05][01] = 06;
        grid[07][05][05][00] = 05;
        grid[8][05][05][00] = 05;
        grid[9][05][05][00] = 05;
        grid[10][05][05][01] = 06;
        grid[11][05][05][00] = 05;
        grid[03][06][05][01] = 07;
        grid[05][06][05][03] = 05;
        grid[8][06][05][01] = 07;
        grid[02][07][05][03] = 05;
        grid[03][07][05][00] = 05;
        grid[04][07][05][00] = 05;
        grid[05][07][05][00] = 05;
        grid[06][07][05][00] = 05;
        grid[07][07][05][00] = 05;
        grid[8][07][05][00] = 05;
        grid[10][07][05][00] = 05;
        grid[03][8][05][00] = 05;
        grid[06][8][05][03] = 05;
        grid[07][8][05][01] = 07;
        grid[02][9][05][03] = 05;
        grid[03][9][05][00] = 05;
        grid[04][9][05][01] = 06;
        grid[05][9][05][00] = 05;
        grid[06][9][05][00] = 05;
        grid[07][9][05][00] = 05;
        grid[9][9][05][00] = 05;
        grid[10][9][05][01] = 06;
        grid[11][9][05][00] = 05;
        grid[03][10][05][00] = 05;
        grid[04][10][05][01] = 03;
        grid[05][10][05][01] = 07;
        grid[07][10][05][01] = 07;
        grid[9][10][05][01] = 07;
        grid[10][10][05][03] = 05;
        grid[11][10][05][01] = 8;
        grid[03][11][05][01] = 07;
        grid[05][11][05][00] = 05;
        grid[07][11][05][00] = 05;
        grid[9][11][05][00] = 05;
        
        //level 6
        grid[02][02][06][01] = 12;
        grid[03][02][06][01] = 13;
        grid[04][02][06][01] = 07;
        grid[06][02][06][01] = 07;
        grid[8][02][06][01] = 07;
        grid[03][03][06][01] = 10;
        grid[04][03][06][00] = 05;
        grid[06][03][06][00] = 05;
        grid[07][03][06][03] = 05;
        grid[8][03][06][00] = 05;
        grid[9][03][06][00] = 05;
        grid[10][03][06][00] = 05;
        grid[02][04][06][01] = 06;
        grid[03][04][06][00] = 05;
        grid[04][04][06][00] = 05;
        grid[06][04][06][00] = 05;
        grid[07][04][06][01] = 06;
        grid[8][04][06][00] = 05;
        grid[10][04][06][03] = 05;
        grid[02][05][06][03] = 05;
        grid[8][05][06][01] = 07;
        grid[10][05][06][00] = 05;
        grid[11][05][06][00] = 05;
        grid[02][06][06][01] = 06;
        grid[03][06][06][00] = 05;
        grid[04][06][06][00] = 05;
        grid[05][06][06][00] = 05;
        grid[06][06][06][01] = 06;
        grid[07][06][06][00] = 05;
        grid[8][06][06][00] = 05;
        grid[10][06][06][00] = 05;
        grid[11][06][06][01] = 03;
        grid[03][07][06][01] = 8;
        grid[04][07][06][00] = 05;
        grid[05][07][06][03] = 05;
        grid[07][07][06][03] = 05;
        grid[8][07][06][00] = 05;
        grid[10][07][06][00] = 05;
        grid[11][07][06][03] = 05;
        grid[04][8][06][01] = 07;
        grid[06][8][06][00] = 05;
        grid[07][8][06][01] = 06;
        grid[8][8][06][00] = 05;
        grid[10][8][06][00] = 05;
        grid[02][9][06][01] = 06;
        grid[03][9][06][00] = 05;
        grid[04][9][06][00] = 05;
        grid[05][9][06][00] = 05;
        grid[8][9][06][01] = 07;
        grid[9][9][06][03] = 05;
        grid[10][9][06][01] = 07;
        grid[02][10][06][03] = 05;
        grid[03][10][06][00] = 05;
        grid[04][10][06][01] = 04;
        grid[05][10][06][00] = 05;
        grid[07][10][06][00] = 05;
        grid[8][10][06][00] = 05;
        grid[10][10][06][00] = 05;
        grid[11][10][06][00] = 05;
        grid[03][11][06][01] = 07;
        grid[05][11][06][01] = 07;
        grid[07][11][06][03] = 05;
        grid[8][11][06][00] = 05;
        grid[10][11][06][01] = 07;
        
        //level 7
        grid[03][02][07][00] = 05;
        grid[04][02][07][00] = 05;
        grid[05][02][07][00] = 05;
        grid[06][02][07][00] = 05;
        grid[07][02][07][00] = 05;
        grid[8][02][07][00] = 05;
        grid[9][02][07][00] = 05;
        grid[10][02][07][00] = 05;
        grid[11][02][07][00] = 05;
        grid[02][03][07][03] = 05;
        grid[03][03][07][01] = 07;
        grid[04][03][07][01] = 03;
        grid[05][03][07][01] = 07;
        grid[07][03][07][03] = 05;
        grid[9][03][07][01] = 07;
        grid[10][03][07][03] = 05;
        grid[02][04][07][01] = 06;
        grid[03][04][07][00] = 05;
        grid[04][04][07][01] = 06;
        grid[05][04][07][00] = 05;
        grid[06][04][07][00] = 05;
        grid[07][04][07][00] = 05;
        grid[8][04][07][01] = 06;
        grid[9][04][07][00] = 05;
        grid[02][05][07][01] = 14;
        grid[03][05][07][00] = 05;
        grid[05][05][07][00] = 05;
        grid[07][05][07][00] = 05;
        grid[10][05][07][00] = 05;
        grid[11][05][07][00] = 05;
        grid[03][06][07][01] = 07;
        grid[04][06][07][03] = 05;
        grid[05][06][07][01] = 07;
        grid[06][06][07][03] = 05;
        grid[07][06][07][00] = 05;
        grid[8][06][07][03] = 05;
        grid[9][06][07][00] = 05;
        grid[10][06][07][00] = 05;
        grid[11][06][07][01] = 04;
        grid[02][07][07][01] = 15;
        grid[03][07][07][00] = 05;
        grid[05][07][07][00] = 05;
        grid[07][07][07][01] = 07;
        grid[10][07][07][00] = 05;
        grid[11][07][07][01] = 06;
        grid[02][8][07][01] = 06;
        grid[03][8][07][00] = 05;
        grid[04][8][07][01] = 06;
        grid[05][8][07][00] = 05;
        grid[06][8][07][00] = 05;
        grid[07][8][07][00] = 05;
        grid[8][8][07][01] = 06;
        grid[9][8][07][00] = 05;
        grid[10][8][07][01] = 8;
        grid[03][9][07][01] = 07;
        grid[04][9][07][03] = 05;
        grid[06][9][07][01] = 07;
        grid[8][9][07][03] = 05;
        grid[9][9][07][01] = 07;
        grid[03][10][07][00] = 05;
        grid[04][10][07][01] = 06;
        grid[05][10][07][00] = 05;
        grid[06][10][07][00] = 05;
        grid[07][10][07][00] = 05;
        grid[8][10][07][01] = 06;
        grid[9][10][07][00] = 05;
        grid[10][10][07][00] = 05;
        grid[11][10][07][01] = 06;
        grid[02][11][07][03] = 05;
        grid[06][11][07][03] = 05;
        
        
        //level 8
        grid[03][02][8][01] = 07;//just had to make a complex game
        grid[05][02][8][01] = 07;
        grid[07][02][8][03] = 05;
        grid[8][02][8][01] = 07;
        grid[11][02][8][03] = 05;
        grid[02][03][8][03] = 05;//couldnt have just made tetris or a movie
        grid[03][03][8][00] = 05;
        grid[04][03][8][01] = 04;
        grid[05][03][8][00] = 05;
        grid[06][03][8][03] = 05;
        grid[8][03][8][00] = 05;
        grid[9][03][8][00] = 05;
        grid[10][03][8][00] = 05;
        grid[11][03][8][03] = 05;
        grid[03][04][8][00] = 05;//just had to give me your overachieving jeans, didnt you mom
        grid[04][04][8][01] = 06;
        grid[05][04][8][00] = 05;
        grid[06][04][8][00] = 05;
        grid[07][04][8][01] = 06;
        grid[8][04][8][00] = 05;
        grid[10][04][8][03] = 05;
        grid[02][05][8][01] = 06;//over 21 hundred lines of code WITHOUT the AI coding
        grid[03][05][8][00] = 05;
        grid[05][05][8][00] = 05;
        grid[06][05][8][01] = 14;
        grid[07][05][8][01] = 15;
        grid[8][05][8][00] = 05;
        grid[10][05][8][00] = 05;
        grid[11][05][8][00] = 05;
        grid[02][06][8][03] = 05;//I don't even know if that AI code works, I've never tested it
        grid[03][06][8][00] = 05;
        grid[05][06][8][01] = 07;
        grid[8][06][8][01] = 07;
        grid[10][06][8][03] = 05;
        grid[11][06][8][01] = 8;
        grid[04][07][8][03] = 05;//at least there's only 11 levels... it all works in theory
        grid[05][07][8][00] = 05;
        grid[06][07][8][00] = 05;
        grid[07][07][8][00] = 05;
        grid[8][07][8][00] = 05;
        grid[9][07][8][00] = 05;
        grid[11][07][8][00] = 05;
        grid[02][8][8][00] = 05;//2 more levels after this, then I WONT CODE IN POINTS ANYMORE
        grid[03][8][8][01] = 06;
        grid[04][8][8][00] = 05;
        grid[8][8][8][03] = 05;
        grid[9][8][8][01] = 07;
        grid[11][8][8][00] = 05;
        grid[04][9][8][00] = 05;//unlike nick, ploting in points in hardcode ANNOYS me
        grid[06][9][8][00] = 05;
        grid[07][9][8][03] = 05;
        grid[9][9][8][00] = 05;
        grid[11][9][8][03] = 05;
        grid[04][10][8][00] = 05;//i hope if i become a programmer, I won't be doing much of this
        grid[06][10][8][00] = 05;
        grid[07][10][8][00] = 05;
        grid[8][10][8][00] = 05;
        grid[9][10][8][00] = 05;
        grid[10][10][8][00] = 05;
        grid[11][10][8][01] = 06;
        grid[03][11][8][01] = 20;//ah the infamous research... dun dun dun
        grid[04][11][8][00] = 05;
        grid[07][11][8][03] = 05;
        grid[9][11][8][03] = 05;
        grid[10][11][8][01] = 07;
        grid[11][11][8][01] = 03;
        
        //level 9...sooo close
        grid[03][02][9][03] = 05;//the winding level
        grid[05][02][9][03] = 05;
        grid[07][02][9][01] = 07;
        grid[8][02][9][03] = 05;
        grid[10][02][9][03] = 05;
        grid[03][03][9][00] = 05;//appears to be a bug with the killing system
        grid[04][03][9][00] = 05;
        grid[05][03][9][00] = 05;
        grid[06][03][9][00] = 05;
        grid[07][03][9][00] = 05;
        grid[8][03][9][00] = 05;
        grid[9][03][9][00] = 05;
        grid[10][03][9][00] = 05;
        grid[11][03][9][01] = 06;
        grid[02][04][9][01] = 06;//sigh... Zombies you said
        grid[03][04][9][00] = 05;
        grid[05][04][9][03] = 05;
        grid[07][04][9][01] = 07;
        grid[9][04][9][03] = 05;
        grid[10][04][9][00] = 05;
        grid[11][04][9][03] = 05;
        grid[03][05][9][00] = 05;//just had to show off the "1337 sk331z" didnt you?
        grid[05][05][9][00] = 05;
        grid[06][05][9][00] = 05;
        grid[07][05][9][00] = 05;
        grid[8][05][9][00] = 05;
        grid[10][05][9][00] = 05;
        grid[02][06][9][03] = 05;//I can finish it, you said
        grid[03][06][9][00] = 05;
        grid[04][06][9][01] = 06;
        grid[05][06][9][00] = 05;
        grid[06][06][9][01] = 03;
        grid[07][06][9][01] = 12;
        grid[8][06][9][00] = 05;
        grid[9][06][9][03] = 05;
        grid[10][06][9][00] = 05;
        grid[11][06][9][03] = 05;
        grid[03][07][9][00] = 05;//and you will... but to what end?
        grid[04][07][9][03] = 05;
        grid[05][07][9][00] = 05;
        grid[07][07][9][01] = 13;
        grid[8][07][9][00] = 05;
        grid[10][07][9][00] = 05;
        grid[03][8][9][00] = 05;//could have made something mind-blowingly simple
        grid[05][8][9][00] = 05;
        grid[07][8][9][01] = 14;
        grid[8][8][9][00] = 05;
        grid[9][8][9][01] = 06;
        grid[10][8][9][00] = 05;
        grid[11][8][9][01] = 06;
        grid[02][9][9][03] = 05;//the problem is then I'd be ashamed
        grid[03][9][9][00] = 05;
        grid[04][9][9][03] = 05;
        grid[05][9][9][01] = 07;
        grid[07][9][9][01] = 15;
        grid[8][9][9][00] = 05;
        grid[10][9][9][00] = 05;
        grid[02][10][9][01] = 06;//ashamed of what though? beating the system?
        grid[03][10][9][00] = 05;
        grid[04][10][9][00] = 05;
        grid[05][10][9][00] = 05;
        grid[06][10][9][00] = 05;
        grid[07][10][9][00] = 05;
        grid[8][10][9][00] = 05;
        grid[9][10][9][01] = 8;
        grid[10][10][9][00] = 05;
        grid[04][11][9][03] = 05;//beating the system is easy...
        grid[06][11][9][01] = 07;
        grid[8][11][9][03] = 05;
        grid[10][11][9][00] = 05;
        grid[11][11][9][01] = 04;
        
        //rooftop FINAL MAP
        grid[05][02][10][00] = 05;//maybe thats why i do this, because i know i can
        grid[07][02][10][01] = 07;
        grid[05][03][10][00] = 05;//i CAN write a cool game
        grid[07][03][10][00] = 05;
        grid[9][03][10][03] = 05;
        grid[11][03][10][03] = 05;
        grid[05][04][10][00] = 05;//not only that, but I can do it myself
        grid[07][04][10][00] = 05;
        grid[8][04][10][03] = 05;
        grid[10][04][10][03] = 05;
        grid[05][05][10][00] = 05;//my last project had alot I didn't understand
        grid[07][05][10][00] = 05;
        grid[9][05][10][03] = 05;
        grid[11][05][10][03] = 05;
        grid[03][06][10][03] = 05;//this one is all me... i hope it floats
        grid[05][06][10][00] = 05;
        grid[06][06][10][01] = 04;
        grid[07][06][10][00] = 05;
        grid[02][07][10][03] = 05;//if not, ill have my first failed program
        grid[04][07][10][03] = 05;
        grid[05][07][10][00] = 05;
        grid[06][07][10][00] = 05;
        grid[07][07][10][00] = 05;
        grid[8][07][10][00] = 05;
        grid[11][07][10][00] = 05;
        grid[03][8][10][03] = 05;//i worry most that it will have nothing to do with progin'
        grid[05][8][10][00] = 05;
        grid[06][8][10][03] = 05;
        grid[8][8][10][03] = 05;
        grid[11][8][10][03] = 05;
        grid[04][9][10][03] = 05;//that it will all be because my idea's are flawed
        grid[07][9][10][03] = 05;
        grid[9][9][10][03] = 05;
        grid[11][9][10][03] = 05;
        grid[02][10][10][03] = 05;//that would be the biggest morale hit
        grid[06][10][10][03] = 05;
        grid[8][10][10][03] = 05;
        grid[10][10][10][03] = 05;
        grid[03][11][10][03] = 05;//here's hoping
        grid[05][11][10][00] = 05;
        
    }
    
    public void start() {
        Container contentPane = getContentPane();
        
        inputzone.setLayout(new GridLayout(5,5));
        inputzone.add(A1);
        inputzone.add(A2);
        inputzone.add(A3);
        inputzone.add(A4);
        inputzone.add(A5);
        inputzone.add(B1);
        inputzone.add(B2);
        inputzone.add(B3);
        inputzone.add(B4);
        inputzone.add(B5);
        inputzone.add(C1);
        inputzone.add(C2);
        inputzone.add(C3);
        inputzone.add(C4);
        inputzone.add(C5);
        inputzone.add(D1);
        inputzone.add(D2);
        inputzone.add(D3);
        inputzone.add(D4);
        inputzone.add(D5);
        inputzone.add(E1);
        inputzone.add(E2);
        inputzone.add(E3);
        inputzone.add(E4);
        inputzone.add(E5);
        
        Info.setLayout(new GridLayout(11,1));
        Info.add(PositionTop);
        Info.add(Position);
        Info.add(MissionTop);
        Info.add(Mission);
        Info.add(InstantTop);
        Info.add(Instant);
        Info.add(WeaponsTop);
        Info.add(KillingDevice);
        Info.add(PAmmo);
        Info.add(SAmmo);
        Info.add(RAmmo);
        contentPane.add(inputzone, BorderLayout.CENTER);
        contentPane.add(Info, BorderLayout.EAST);
        
        A3.addActionListener(listen);
        B2.addActionListener(listen);
        B3.addActionListener(listen);
        B4.addActionListener(listen);
        C1.addActionListener(listen);
        C2.addActionListener(listen);
        C3.addActionListener(listen);
        C4.addActionListener(listen);
        C5.addActionListener(listen);
        D2.addActionListener(listen);
        D3.addActionListener(listen);
        D4.addActionListener(listen);
        E3.addActionListener(listen);
        
    }
    
    class Listener implements ActionListener {
        public void actionPerformed(ActionEvent event) {
            JButton sent = (JButton)event.getSource(); // the button pressed
            
            if (sent == A3) {//if clicked in 2 north of player
                success = false;
                if (playery > 3 && grid[playerx][(playery - 2)][playerz][03] == 05 && grid[playerx][playery-1][playerz][00] != 05) {
                    success = attack(weapon, 2);
                    
                    if (success)//attack works
                    {
                        //destroy zombie, refresh tile
                        grid[playerx][(playery - 2)][playerz][03] = 00;
                        if (grid[playerx][(playery - 2)][playerz][01] == 00)
                            A3.setIcon(Nothing);
                        if (grid[playerx][(playery - 2)][playerz][01] == 03)
                            A3.setIcon(StairUp);
                        if (grid[playerx][(playery - 2)][playerz][01] == 04)
                            A3.setIcon(StairDown);
                    }
                    
                    //consequences of firing
                    if (weapon == 0)//fist - no ammo!
                        grid = move(grid);
                    if (weapon == 1 && AmmoP > 0)//pistol
                    {
                        grid = move(grid);
                        AmmoP --;
                    }
                    if (weapon == 2 && AmmoS > 0)//shotgun
                    {
                        grid = move(grid);
                        AmmoS --;
                    }
                    if (weapon == 3 && AmmoR > 0)//rifle - no waits!
                        AmmoR --;
                    if (weapon == 4)
                        grid= move(grid);
                    
                }
            }
            if (sent == B2) {//if clicked in 1 north 1 west of player
                
                //if tile has no enemy
                if (playerx > 2 && playery > 2 && grid[playerx-1][playery-1][playerz][03] != 05 && grid[playerx-1][playery-1][playerz][00] != 05)//not zombie, not wall
                {
                    //check if stairs
                    if (grid[playerx-1][playery-1][playerz][01] == 03 && playerz < 10 && grid[playerx-1][playery-1][playerz+1][03] != 05)//stairs up (not blocked by zombie at top)
                    {
                        //update grid via player's move
                        grid[playerx][playery][playerz][03] = 0;
                        grid[playerx-1][playery-1][playerz+1][03] = 01;
                        //update player position
                        playerx = playerx - 1;
                        playery = playery - 1;
                        playerz = playerz + 1;
                        //update ai moves
                        grid = move(grid);
                    }
                    else if (grid[playerx-1][playery-1][playerz][01] == 04 && playerz > 0 && grid[playerx-1][playery-1][playerz-1][03] != 05)//stairs down (not blocked by zombie at top)
                    {
                        //update grid via player's move
                        grid[playerx][playery][playerz][03] = 0;
                        grid[playerx-1][playery-1][playerz-1][03] = 01;
                        //update player position
                        playerx = playerx - 1;
                        playery = playery - 1;
                        playerz = playerz - 1;
                        //update ai moves
                        grid = move(grid);
                    }
                    else {//not stairs
                        //update grid via player
                        grid[playerx][playery][playerz][03] = 0;
                        grid[playerx-1][playery-1][playerz][03] = 01;
                        //update player's position
                        playerx = playerx-1;
                        playery = playery-1;
                        //make move
                        grid = move(grid);
                    }//end if not stairs
                    success = false;
                } else {
                    if (playery > 2 && playerx > 2 && grid[playerx-1][(playery - 1)][playerz][03] == 05) {//has enemy
                        success = attack(weapon, 1);
                        
                        if (success)//attack works
                        {
                            //destroy zombie, refresh tile
                            grid[playerx-1][(playery - 1)][playerz][03] = 00;
                            if (grid[playerx-1][(playery - 1)][playerz][01] == 00)
                                A3.setIcon(Nothing);
                            if (grid[playerx-1][(playery - 1)][playerz][01] == 03)
                                A3.setIcon(StairUp);
                            if (grid[playerx-1][(playery - 1)][playerz][01] == 04)
                                A3.setIcon(StairDown);
                        }
                        
                        //consequences of firing
                        if (weapon == 0)//fist - no ammo!
                            grid = move(grid);
                        if (weapon == 1 && AmmoP > 0)//pistol
                        {
                            grid = move(grid);
                            AmmoP --;
                        }
                        if (weapon == 2 && AmmoS > 0)//shotgun
                        {
                            grid = move(grid);
                            AmmoS --;
                        }
                        if (weapon == 3 && AmmoR > 0)//rifle - no waits!
                            AmmoR --;
                        if (weapon == 4)
                            grid= move(grid);
                        
                    }
                }//end else
                
                
            }
            if (sent == B3) {//if clicked in 1 north of player
                
                //if tile has no enemy
                if (playery > 2 && grid[playerx][playery-1][playerz][03] != 05 && grid[playerx][playery-1][playerz][00] != 05)//not zombie, not wall
                {
                    //check if stairs
                    if (grid[playerx][playery-1][playerz][01] == 03 && playerz < 10 && grid[playerx][playery-1][playerz+1][03] != 05)//stairs up (not blocked by zombie at top)
                    {
                        //update grid via player's move
                        grid[playerx][playery][playerz][03] = 0;
                        grid[playerx][playery-1][playerz+1][03] = 01;
                        //update player position
                        playery = playery - 1;
                        playerz = playerz + 1;
                        //update ai moves
                        grid = move(grid);
                    }
                    else if (grid[playerx][playery-1][playerz][01] == 04 && playerz > 0 && grid[playerx][playery-1][playerz-1][03] != 05)//stairs down (not blocked by zombie at top)
                    {
                        //update grid via player's move
                        grid[playerx][playery][playerz][03] = 0;
                        grid[playerx][playery-1][playerz-1][03] = 01;
                        //update player position
                        playery = playery - 1;
                        playerz = playerz - 1;
                        //update ai moves
                        grid = move(grid);
                    }
                    else {//not stairs
                        //update grid via player
                        grid[playerx][playery][playerz][03] = 0;
                        grid[playerx][playery-1][playerz][03] = 01;
                        //update player's position
                        playery = playery-1;
                        //make move
                        grid = move(grid);
                    }//end if not stairs
                    
                }//end if tile has no enemy;
                else{
                    success = false;
                    //if tile has enemy
                    if (playery > 2 && grid[playerx][(playery-1)][playerz][03] == 05) {
                        success = attack(weapon, 1);
                        
                        if (success)//attack works
                        {
                            //destroy zombie, refresh tile
                            grid[playerx][(playery-1)][playerz][03] = 00;
                            if (grid[playerx][(playery-1)][playerz][01] == 00)
                                A3.setIcon(Nothing);
                            if (grid[playerx][(playery-1)][playerz][01] == 03)
                                A3.setIcon(StairUp);
                            if (grid[playerx][(playery-1)][playerz][01] == 04)
                                A3.setIcon(StairDown);
                        }
                        
                        //consequences of firing
                        if (weapon == 0)//fist - no ammo!
                            grid = move(grid);
                        if (weapon == 1 && AmmoP > 0)//pistol
                        {
                            grid = move(grid);
                            AmmoP --;
                        }
                        if (weapon == 2 && AmmoS > 0)//shotgun
                        {
                            grid = move(grid);
                            AmmoS --;
                        }
                        if (weapon == 3 && AmmoR > 0)//rifle - no waits!
                            AmmoR --;
                        if (weapon == 4)
                            grid= move(grid);
                        
                    }
                }//end else (enemy)
            }
            if (sent == B4) {//if clicked in 1 north 1 east of player
                
                //if tile has no enemy
                if (playerx < 12 && playery > 2 && grid[playerx+1][playery-1][playerz][03] != 05 && grid[playerx+1][playery-1][playerz][00] != 05)//not zombie, not wall
                {
                    //check if stairs
                    if (grid[playerx+1][playery-1][playerz][01] == 03 && playerz < 10 && grid[playerx+1][playery-1][playerz+1][03] != 05)//stairs up (not blocked by zombie at top)
                    {
                        //update grid via player's move
                        grid[playerx][playery][playerz][03] = 0;
                        grid[playerx+1][playery-1][playerz+1][03] = 01;
                        //update player position
                        playerx = playerx + 1;
                        playery = playery - 1;
                        playerz = playerz + 1;
                        //update ai moves
                        grid = move(grid);
                    }
                    else if (grid[playerx+1][playery-1][playerz][01] == 04 && playerz > 0 && grid[playerx+1][playery-1][playerz-1][03] != 05)//stairs down (not blocked by zombie at top)
                    {
                        //update grid via player's move
                        grid[playerx][playery][playerz][03] = 0;
                        grid[playerx+1][playery-1][playerz-1][03] = 01;
                        //update player position
                        playerx = playerx + 1;
                        playery = playery - 1;
                        playerz = playerz - 1;
                        //update ai moves
                        grid = move(grid);
                    }
                    else {//not stairs
                        //update grid via player
                        grid[playerx][playery][playerz][03] = 0;
                        grid[playerx+1][playery-1][playerz][03] = 01;
                        //update player's position
                        playerx = playerx+1;
                        playery = playery-1;
                        //make move
                        grid = move(grid);
                    }//end if not stairs
                    
                }//end if tile has no enemy
                else{
                    
                    success = false;
                    //if tile has enemy
                    if (playery > 2 && playerx < 12 && grid[playerx+1][(playery - 1)][playerz][03] == 05) {
                        success = attack(weapon, 1);
                        
                        if (success)//attack works
                        {
                            //destroy zombie, refresh tile
                            grid[playerx+1][(playery - 1)][playerz][03] = 00;
                            if (grid[playerx+1][(playery - 1)][playerz][01] == 00)
                                A3.setIcon(Nothing);
                            if (grid[playerx+1][(playery - 1)][playerz][01] == 03)
                                A3.setIcon(StairUp);
                            if (grid[playerx+1][(playery - 1)][playerz][01] == 04)
                                A3.setIcon(StairDown);
                        }
                        
                        //consequences of firing
                        if (weapon == 0)//fist - no ammo!
                            grid = move(grid);
                        if (weapon == 1 && AmmoP > 0)//pistol
                        {
                            grid = move(grid);
                            AmmoP --;
                        }
                        if (weapon == 2 && AmmoS > 0)//shotgun
                        {
                            grid = move(grid);
                            AmmoS --;
                        }
                        if (weapon == 3 && AmmoR > 0)//rifle - no waits!
                            AmmoR --;
                        if (weapon == 4)
                            grid= move(grid);
                        
                    }
                }//end else (enemy)
            }
            if (sent == C1) {//if clicked in 2 west of player
                success = false;
                if (playerx > 3 && grid[playerx-2][(playery)][playerz][03] == 05 && grid[playerx-1][playery][playerz][00] != 05) {
                    success = attack(weapon, 2);
                    
                    if (success)//attack works
                    {
                        //destroy zombie, refresh tile
                        grid[playerx-2][(playery)][playerz][03] = 00;
                        if (grid[playerx-2][(playery)][playerz][01] == 00)
                            A3.setIcon(Nothing);
                        if (grid[playerx - 2][(playery)][playerz][01] == 03)
                            A3.setIcon(StairUp);
                        if (grid[playerx - 2][(playery)][playerz][01] == 04)
                            A3.setIcon(StairDown);
                    }
                    
                    //consequences of firing
                    if (weapon == 0)//fist - no ammo!
                        grid = move(grid);
                    if (weapon == 1 && AmmoP > 0)//pistol
                    {
                        grid = move(grid);
                        AmmoP --;
                    }
                    if (weapon == 2 && AmmoS > 0)//shotgun
                    {
                        grid = move(grid);
                        AmmoS --;
                    }
                    if (weapon == 3 && AmmoR > 0)//rifle - no waits!
                        AmmoR --;
                    if (weapon == 4)
                        grid= move(grid);
                    
                }
            }
            if (sent == C2) {//if clicked in 1 west of player
                
                //if tile has no enemy
                if (playerx > 2 && grid[playerx-1][playery][playerz][03] != 05 && grid[playerx-1][playery][playerz][00] != 05)//not zombie, not wall
                {
                    //check if stairs
                    if (grid[playerx-1][playery][playerz][01] == 03 && playerz < 10 && grid[playerx-1][playery][playerz+1][03] != 05)//stairs up (not blocked by zombie at top)
                    {
                        //update grid via player's move
                        grid[playerx][playery][playerz][03] = 0;
                        grid[playerx-1][playery][playerz+1][03] = 01;
                        //update player position
                        playerx = playerx - 1;
                        playerz = playerz + 1;
                        //update ai moves
                        grid = move(grid);
                    }
                    else if (grid[playerx-1][playery][playerz][01] == 04 && playerz > 0 && grid[playerx-1][playery][playerz-1][03] != 05)//stairs down (not blocked by zombie at top)
                    {
                        //update grid via player's move
                        grid[playerx][playery][playerz][03] = 0;
                        grid[playerx-1][playery][playerz-1][03] = 01;
                        //update player position
                        playerx = playerx - 1;
                        playerz = playerz - 1;
                        //update ai moves
                        grid = move(grid);
                    }
                    else {//not stairs
                        //update grid via player
                        grid[playerx][playery][playerz][03] = 0;
                        grid[playerx-1][playery][playerz][03] = 01;
                        //update player's position
                        playerx = playerx-1;
                        //make move
                        grid = move(grid);
                    }//end if not stairs
                    
                }//end if tile has no enemy
                else{
                    
                    success = false;
                    //if tile has enemy
                    if (playerx > 2 && grid[playerx-1][(playery)][playerz][03] == 05) {
                        success = attack(weapon, 1);
                        
                        if (success)//attack works
                        {
                            //destroy zombie, refresh tile
                            grid[playerx-1][(playery)][playerz][03] = 00;
                            if (grid[playerx-1][(playery)][playerz][01] == 00)
                                A3.setIcon(Nothing);
                            if (grid[playerx-1][(playery)][playerz][01] == 03)
                                A3.setIcon(StairUp);
                            if (grid[playerx-1][(playery)][playerz][01] == 04)
                                A3.setIcon(StairDown);
                        }
                        
                        //consequences of firing
                        if (weapon == 0)//fist - no ammo!
                            grid = move(grid);
                        if (weapon == 1 && AmmoP > 0)//pistol
                        {
                            grid = move(grid);
                            AmmoP --;
                        }
                        if (weapon == 2 && AmmoS > 0)//shotgun
                        {
                            grid = move(grid);
                            AmmoS --;
                        }
                        if (weapon == 3 && AmmoR > 0)//rifle - no waits!
                            AmmoR --;
                        if (weapon == 4)
                            grid= move(grid);
                        
                    }
                }//end else (enemy)
            }
            if (sent == C3) {//if clicked on player == wait
                grid = move(grid);
            }
            if (sent == C4) {//if clicked in 1 east of player
                
                //if tile has no enemy
                if (playerx < 12 && grid[playerx+1][playery][playerz][03] != 05 && grid[playerx+1][playery][playerz][00] != 05)//not zombie, not wall
                {
                    //check if stairs
                    if (grid[playerx+1][playery][playerz][01] == 03 && playerz < 10 && grid[playerx+1][playery][playerz+1][03] != 05)//stairs up (not blocked by zombie at top)
                    {
                        //update grid via player's move
                        grid[playerx][playery][playerz][03] = 0;
                        grid[playerx+1][playery][playerz+1][03] = 01;
                        //update player position
                        playerx = playerx + 1;
                        playerz = playerz + 1;
                        //update ai moves
                        grid = move(grid);
                    }
                    else if (grid[playerx+1][playery][playerz][01] == 04 && playerz > 0 && grid[playerx+1][playery][playerz-1][03] != 05)//stairs down (not blocked by zombie at top)
                    {
                        //update grid via player's move
                        grid[playerx][playery][playerz][03] = 0;
                        grid[playerx+1][playery][playerz-1][03] = 01;
                        //update player position
                        playerx = playerx + 1;
                        playerz = playerz - 1;
                        //update ai moves
                        grid = move(grid);
                    }
                    else {//not stairs
                        //update grid via player
                        grid[playerx][playery][playerz][03] = 0;
                        grid[playerx+1][playery][playerz][03] = 01;
                        //update player's position
                        playerx = playerx+1;
                        //make move
                        grid = move(grid);
                    }//end if not stairs
                    
                }//end if tile has no enemy
                
                else{
                    
                    success = false;
                    //if tile has enemy
                    if (playerx < 12 && grid[playerx+1][(playery)][playerz][03] == 05) {
                        success = attack(weapon, 1);
                        
                        if (success)//attack works
                        {
                            //destroy zombie, refresh tile
                            grid[playerx+1][(playery)][playerz][03] = 00;
                            if (grid[playerx+1][(playery)][playerz][01] == 00)
                                A3.setIcon(Nothing);
                            if (grid[playerx+1][(playery)][playerz][01] == 03)
                                A3.setIcon(StairUp);
                            if (grid[playerx+1][(playery)][playerz][01] == 04)
                                A3.setIcon(StairDown);
                        }
                        
                        //consequences of firing
                        if (weapon == 0)//fist - no ammo!
                            grid = move(grid);
                        if (weapon == 1 && AmmoP > 0)//pistol
                        {
                            grid = move(grid);
                            AmmoP --;
                        }
                        if (weapon == 2 && AmmoS > 0)//shotgun
                        {
                            grid = move(grid);
                            AmmoS --;
                        }
                        if (weapon == 3 && AmmoR > 0)//rifle - no waits!
                            AmmoR --;
                        if (weapon == 4)
                            grid= move(grid);
                        
                    }
                }//end else (enemy)
            }
            if (sent == C5) {//if clicked in 2 east of player
                success = false;
                if (playerx < 11 && grid[playerx+2][(playery)][playerz][03] == 05 && grid[playerx+1][playery][playerz][00] != 05) {
                    success = attack(weapon, 2);
                    
                    if (success)//attack works
                    {
                        //destroy zombie, refresh tile
                        grid[playerx+2][(playery)][playerz][03] = 00;
                        if (grid[playerx+2][(playery)][playerz][01] == 00)
                            A3.setIcon(Nothing);
                        if (grid[playerx+2][(playery)][playerz][01] == 03)
                            A3.setIcon(StairUp);
                        if (grid[playerx+2][(playery)][playerz][01] == 04)
                            A3.setIcon(StairDown);
                    }
                    
                    //consequences of firing
                    if (weapon == 0)//fist - no ammo!
                        grid = move(grid);
                    if (weapon == 1 && AmmoP > 0)//pistol
                    {
                        grid = move(grid);
                        AmmoP --;
                    }
                    if (weapon == 2 && AmmoS > 0)//shotgun
                    {
                        grid = move(grid);
                        AmmoS --;
                    }
                    if (weapon == 3 && AmmoR > 0)//rifle - no waits!
                        AmmoR --;
                    if (weapon == 4)
                        grid= move(grid);
                    
                }
            }
            if (sent == D2) {//if clicked in 1 west 1 south of player
                
                //if tile has no enemy
                if (playerx > 2 && playery < 12 && grid[playerx-1][playery+1][playerz][03] != 05 && grid[playerx-1][playery+1][playerz][00] != 05)//not zombie, not wall
                {
                    //check if stairs
                    if (grid[playerx-1][playery+1][playerz][01] == 03 && playerz < 10 && grid[playerx-1][playery+1][playerz+1][03] != 05)//stairs up (not blocked by zombie at top)
                    {
                        //update grid via player's move
                        grid[playerx][playery][playerz][03] = 0;
                        grid[playerx-1][playery+1][playerz+1][03] = 01;
                        //update player position
                        playerx = playerx - 1;
                        playery = playery + 1;
                        playerz = playerz + 1;
                        //update ai moves
                        grid = move(grid);
                    }
                    else if (grid[playerx-1][playery+1][playerz][01] == 04 && playerz > 0 && grid[playerx-1][playery+1][playerz-1][03] != 05)//stairs down (not blocked by zombie at top)
                    {
                        //update grid via player's move
                        grid[playerx][playery][playerz][03] = 0;
                        grid[playerx-1][playery+1][playerz-1][03] = 01;
                        //update player position
                        playerx = playerx - 1;
                        playery = playery + 1;
                        playerz = playerz - 1;
                        //update ai moves
                        grid = move(grid);
                    }
                    else {//not stairs
                        //update grid via player
                        grid[playerx][playery][playerz][03] = 0;
                        grid[playerx-1][playery+1][playerz][03] = 01;
                        //update player's position
                        playerx = playerx-1;
                        playery = playery+1;
                        //make move
                        grid = move(grid);
                    }//end if not stairs
                    
                }//end if tile has no enemy
                
                else{
                    
                    success = false;
                    //if tile has enemy
                    if (playery < 12 && playerx > 2 && grid[playerx-1][(playery + 1)][playerz][03] == 05) {
                        success = attack(weapon, 1);
                        
                        if (success)//attack works
                        {
                            //destroy zombie, refresh tile
                            grid[playerx-1][(playery + 1)][playerz][03] = 00;
                            if (grid[playerx-1][(playery + 1)][playerz][01] == 00)
                                A3.setIcon(Nothing);
                            if (grid[playerx-1][(playery + 1)][playerz][01] == 03)
                                A3.setIcon(StairUp);
                            if (grid[playerx-1][(playery + 1)][playerz][01] == 04)
                                A3.setIcon(StairDown);
                        }
                        
                        //consequences of firing
                        if (weapon == 0)//fist - no ammo!
                            grid = move(grid);
                        if (weapon == 1 && AmmoP > 0)//pistol
                        {
                            grid = move(grid);
                            AmmoP --;
                        }
                        if (weapon == 2 && AmmoS > 0)//shotgun
                        {
                            grid = move(grid);
                            AmmoS --;
                        }
                        if (weapon == 3 && AmmoR > 0)//rifle - no waits!
                            AmmoR --;
                        if (weapon == 4)
                            grid= move(grid);
                        
                    }
                }//end else (enemy)
            }
            if (sent == D3) {//if clicked in 1 south of player
                
                //if tile has no enemy
                if (playery < 12 && grid[playerx][playery+1][playerz][03] != 05 && grid[playerx][playery+1][playerz][00] != 05)//not zombie, not wall
                {
                    //check if stairs
                    if (grid[playerx][playery+1][playerz][01] == 03 && playerz < 10 && grid[playerx][playery+1][playerz+1][03] != 05)//stairs up (not blocked by zombie at top)
                    {
                        //update grid via player's move
                        grid[playerx][playery][playerz][03] = 0;
                        grid[playerx][playery+1][playerz+1][03] = 01;
                        //update player position
                        playery = playery + 1;
                        playerz = playerz + 1;
                        //update ai moves
                        grid = move(grid);
                    }
                    else if (grid[playerx][playery+1][playerz][01] == 04 && playerz > 0 && grid[playerx][playery+1][playerz-1][03] != 05)//stairs down (not blocked by zombie at top)
                    {
                        //update grid via player's move
                        grid[playerx][playery][playerz][03] = 0;
                        grid[playerx][playery+1][playerz-1][03] = 01;
                        //update player position
                        playery = playery + 1;
                        playerz = playerz - 1;
                        //update ai moves
                        grid = move(grid);
                    }
                    else {//not stairs
                        //update grid via player
                        grid[playerx][playery][playerz][03] = 0;
                        grid[playerx][playery+1][playerz][03] = 01;
                        //update player's position
                        playery = playery+1;
                        //make move
                        grid = move(grid);
                    }//end if not stairs
                    
                }//end if tile has no enemy
                
                else{
                    success = false;
                    //if tile has enemy
                    if (playery < 12 && grid[playerx][(playery + 1)][playerz][03] == 05) {
                        success = attack(weapon, 1);
                        
                        if (success)//attack works
                        {
                            //destroy zombie, refresh tile
                            grid[playerx][(playery + 1)][playerz][03] = 00;
                            if (grid[playerx][(playery + 1)][playerz][01] == 00)
                                A3.setIcon(Nothing);
                            if (grid[playerx][(playery + 1)][playerz][01] == 03)
                                A3.setIcon(StairUp);
                            if (grid[playerx][(playery + 1)][playerz][01] == 04)
                                A3.setIcon(StairDown);
                        }
                        
                        //consequences of firing
                        if (weapon == 0)//fist - no ammo!
                            grid = move(grid);
                        if (weapon == 1 && AmmoP > 0)//pistol
                        {
                            grid = move(grid);
                            AmmoP --;
                        }
                        if (weapon == 2 && AmmoS > 0)//shotgun
                        {
                            grid = move(grid);
                            AmmoS --;
                        }
                        if (weapon == 3 && AmmoR > 0)//rifle - no waits!
                            AmmoR --;
                        if (weapon == 4)
                            grid= move(grid);
                        
                    }
                }//end else (enemy)
            }
            if (sent == D4) {//if clicked in 1 south 1 east of player
                
                //if tile has no enemy
                if (playerx < 12 && playery < 12 && grid[playerx+1][playery+1][playerz][03] != 05 && grid[playerx+1][playery+1][playerz][00] != 05)//not zombie, not wall
                {
                    //check if stairs
                    if (grid[playerx+1][playery+1][playerz][01] == 03 && playerz < 10 && grid[playerx+1][playery+1][playerz+1][03] != 05)//stairs up (not blocked by zombie at top)
                    {
                        //update grid via player's move
                        grid[playerx][playery][playerz][03] = 0;
                        grid[playerx+1][playery+1][playerz+1][03] = 01;
                        //update player position
                        playerx = playerx + 1;
                        playery = playery + 1;
                        playerz = playerz + 1;
                        //update ai moves
                        grid = move(grid);
                    }
                    else if (grid[playerx+1][playery+1][playerz][01] == 04 && playerz > 0 && grid[playerx+1][playery+1][playerz-1][03] != 05)//stairs down (not blocked by zombie at top)
                    {
                        //update grid via player's move
                        grid[playerx][playery][playerz][03] = 0;
                        grid[playerx+1][playery+1][playerz-1][03] = 01;
                        //update player position
                        playerx = playerx + 1;
                        playery = playery + 1;
                        playerz = playerz - 1;
                        //update ai moves
                        grid = move(grid);
                    }
                    else {//not stairs
                        //update grid via player
                        grid[playerx][playery][playerz][03] = 0;
                        grid[playerx+1][playery+1][playerz][03] = 01;
                        //update player's position
                        playerx = playerx+1;
                        playery = playery+1;
                        //make move
                        grid = move(grid);
                    }//end if not stairs
                    
                }//end if tile has no enemy
                
                else{
                    
                    success = false;
                    //if tile has enemy
                    if (playery < 12 && playerx < 12 && grid[playerx+1][(playery + 1)][playerz][03] == 05) {
                        success = attack(weapon, 1);
                        
                        if (success)//attack works
                        {
                            //destroy zombie, refresh tile
                            grid[playerx+1][(playery + 1)][playerz][03] = 00;
                            if (grid[playerx+1][(playery + 1)][playerz][01] == 00)
                                A3.setIcon(Nothing);
                            if (grid[playerx+1][(playery + 1)][playerz][01] == 03)
                                A3.setIcon(StairUp);
                            if (grid[playerx+1][(playery + 1)][playerz][01] == 04)
                                A3.setIcon(StairDown);
                        }
                        
                        //consequences of firing
                        if (weapon == 0)//fist - no ammo!
                            grid = move(grid);
                        if (weapon == 1 && AmmoP > 0)//pistol
                        {
                            grid = move(grid);
                            AmmoP --;
                        }
                        if (weapon == 2 && AmmoS > 0)//shotgun
                        {
                            grid = move(grid);
                            AmmoS --;
                        }
                        if (weapon == 3 && AmmoR > 0)//rifle - no waits!
                            AmmoR --;
                        if (weapon == 4)
                            grid= move(grid);
                        
                    }
                }//end else enemy)
            }
            if (sent == E3) {//if clicked in 2 south of player
                success = false;
                if (playery < 11 && grid[playerx][(playery+2)][playerz][03] == 05 && grid[playerx][playery+1][playerz][00] != 05) {
                    success = attack(weapon, 2);
                    
                    if (success)//attack works
                    {
                        //destroy zombie, refresh tile
                        grid[playerx][(playery+2)][playerz][03] = 00;
                        if (grid[playerx][(playery+2)][playerz][01] == 00)
                            A3.setIcon(Nothing);
                        if (grid[playerx][(playery+2)][playerz][01] == 03)
                            A3.setIcon(StairUp);
                        if (grid[playerx][(playery+2)][playerz][01] == 04)
                            A3.setIcon(StairDown);
                    }
                    
                    //consequences of firing
                    if (weapon == 0)//fist - no ammo!
                        grid = move(grid);
                    if (weapon == 1 && AmmoP > 0)//pistol
                    {
                        grid = move(grid);
                        AmmoP --;
                    }
                    if (weapon == 2 && AmmoS > 0)//shotgun
                    {
                        grid = move(grid);
                        AmmoS --;
                    }
                    if (weapon == 3 && AmmoR > 0)//rifle - no waits!
                        AmmoR --;
                    if (weapon == 4)
                        grid= move(grid);
                    
                }
            }
            
            //check for specific objectives
            //Find weapon
            if (weapon > 0 && trigger == 0)
                trigger = 1;
            //Find researcher
            if (trigger == 1 && grid[playerx][playery][playerz][02] == 05)
                trigger = 2;
            //Find research
            if (trigger == 2 && grid[playerx][playery][playerz][01] == 20)
                trigger = 3;
            //Return to researcher
            if (trigger == 3 && grid[playerx][playery][playerz][02] == 05)
                trigger = 4;
            //Talk to Priest
            if (trigger == 4 && grid[playerx][playery][playerz][02] == 8)
                trigger = 5;
            //Return to researcher
            if (trigger == 5 && playerz == 4) {
                grid[9][8][4][02] = 0;//get rid of researcher
                grid[8][9][4][03] = 05;//create ZOMBIEEEEE
                grid[3][2][4][02] = 0;//get rid of gaurd
                grid[2][3][4][02] = 0;//get rid of gaurd
                grid[11][10][4][02] = 0;//get rid of gaurd
                trigger = 6;
            }
            //Save Priest
            if (trigger == 6 && grid[playerx][playery][playerz][02] == 8) {
                grid[10][03][00][01] = 16;
                //get rid of gaurds (THEY ARE DEEEEEAAAAD)
                grid[4][2][2][02] = 0;
                grid[5][3][1][02] = 0;
                grid[7][3][1][02] = 0;
                grid[8][3][1][02] = 0;
                grid[7][4][1][02] = 0;
                grid[8][4][1][02] = 0;
                grid[3][9][1][02] = 0;
                grid[4][9][1][02] = 0;
                grid[9][9][1][02] = 0;
                grid[10][9][1][02] = 0;
                grid[3][10][1][02] = 0;
                grid[4][10][1][02] = 0;
                grid[6][10][1][02] = 0;
                grid[9][10][1][02] = 0;
                grid[10][10][1][02] = 0;
                grid[5][3][0][02] = 0;
                grid[3][10][0][02] = 0;
                
                //create a few zombies.. by few i mean about 100
                for (number = 0; number < 500; number++) {
                    ranNum = Randomness.nextInt(10) + 2;//2-11 = x coord
                    ranNumy = Randomness.nextInt(10) + 2;//2-11 = y coord
                    ranNumz = Randomness.nextInt(10) + 1;//1-10 = z coord
                    
                    if (grid[ranNum][ranNumy][ranNumz][00] != 05 && grid[ranNum][ranNumy][ranNumz][01] == 00 && grid[ranNum][ranNumy][ranNumz][02] == 00 && grid[ranNum][ranNumy][ranNumz][03] == 00)//clear tile
                        grid[ranNum][ranNumy][ranNumz][03] = 05;
                    
                }
                trigger = 7;
            }
            //Get laser
            if (trigger == 7 && weapon == 4) {
                
                grid[6][7][3][02] = 0;//get rid of priest
                
                
                
                trigger = 8;
            }
            //Escape to roof
            if (trigger == 8 && playerx < 5 && playery < 5 && playerz == 10) {
                A3.removeActionListener(listen);
                B2.removeActionListener(listen);
                B3.removeActionListener(listen);
                B4.removeActionListener(listen);
                C1.removeActionListener(listen);
                C2.removeActionListener(listen);
                C3.removeActionListener(listen);
                C4.removeActionListener(listen);
                C5.removeActionListener(listen);
                D2.removeActionListener(listen);
                D3.removeActionListener(listen);
                D4.removeActionListener(listen);
                E3.removeActionListener(listen);
                alert.showMessageDialog(null, "You WIN!!!!");
            }
            
            
            
            
            //in all cases, change instant
            //empty the thingies
            if (grid[playerx][playery][playerz][00] == 00 && grid[playerx][playery][playerz][02] == 0 && grid[playerx][playery][playerz][01] < 8)//blank spot
            {
                if (playerz ==0)
                    Instant.setText("You are in the Basement");
                if (playerz > 0)
                    Instant.setText("You are on floor " + playerz);
                if (playerz == 10)
                    Instant.setText("You are on the rooftop!");
            }
            
            if(grid[playerx][playery][playerz][00] > 6)
                Instant.setText("There are zombies out there!!");
            if(grid[playerx][playery][playerz][01] == 8 && trigger < 7)
                Instant.setText("An interesting vent");
            if(grid[playerx][playery][playerz][01] == 8 && trigger > 6)
                Instant.setText("This is how the virus spread");
            if(grid[playerx][playery][playerz][01] == 10)//find a pistol
            {
                grid[playerx][playery][playerz][01] = 0;
                weapon = 1;
                Instant.setText("You picked up a Pistol");
            }
            if(grid[playerx][playery][playerz][01] == 11) {
                grid[playerx][playery][playerz][01] = 0;
                AmmoP = AmmoP + 20;
                Instant.setText("You picked up Pistol Ammo");
            }
            if(grid[playerx][playery][playerz][01] == 12) {
                grid[playerx][playery][playerz][01] = 0;
                weapon = 2;
                Instant.setText("You picked up a Shotgun");
            }
            if(grid[playerx][playery][playerz][01] == 13) {
                grid[playerx][playery][playerz][01] = 0;
                AmmoS = AmmoS + 10;
                Instant.setText("You found Shotgun Ammo");
            }
            if(grid[playerx][playery][playerz][01] == 14) {
                grid[playerx][playery][playerz][01] = 0;
                weapon = 3;
                Instant.setText("You found an AutoRifle");
            }
            if(grid[playerx][playery][playerz][01] == 15) {
                grid[playerx][playery][playerz][01] = 0;
                AmmoR = AmmoR + 20;
                Instant.setText("You found AutoRifle Ammo");
            }
            if(grid[playerx][playery][playerz][01] == 16) {
                weapon = 4;
                Instant.setText("There are many lasers here");
            }
            if(grid[playerx][playery][playerz][01] == 20 && trigger == 3) {
                grid[playerx][playery][playerz][01] = 0;
                Instant.setText("You found the Research");
            }
            
            //certain areas say certain things
            if(playerz == 4 && trigger == 6)
                Instant.setText("He's been infected! Run!");
            
            
            //certain people say certain things...
            if(grid[playerx][playery][playerz][02] == 10)
                Instant.setText("He says,Get away from here!");
            if(grid[playerx][playery][playerz][02] == 05 && trigger == 2)
                Instant.setText("Please get my research!");
            if(grid[playerx][playery][playerz][02] == 05 && trigger == 4)
                Instant.setText("Go get help from the priest");
            if(grid[playerx][playery][playerz][02] == 8 && trigger < 5)
                Instant.setText("I'm a priest...what? I am!");
            if(grid[playerx][playery][playerz][02] == 8 && trigger == 5)
                Instant.setText("They will kill you all");
            if(grid[playerx][playery][playerz][02] == 8 && trigger == 7)
                Instant.setText("I INFECTED THEM ALL!!!");
            
            
            
            
            //in all cases, update weapon
            if (weapon == 0)
                KillingDevice.setText("Current Weapon: Fists");
            if (weapon == 1)
                KillingDevice.setText("Current Weapon: Pistol");
            if (weapon == 2)
                KillingDevice.setText("Current Weapon: Shotgun");
            if (weapon == 3)
                KillingDevice.setText("Current Weapon: AutoRifle");
            if (weapon == 4)
                KillingDevice.setText("Current Weapon: Laser");
            
            //in all cases, update ammo
            PAmmo.setText("Pistol Ammo: " + AmmoP);
            SAmmo.setText("Shotgun Ammo: " + AmmoS);
            RAmmo.setText("Rifle Ammo: " + AmmoR);
            
            //in all cases, update position
            Position.setText("X: " + (playerx - 2) + " Y: " + (playery - 2) + " Floor: " + playerz);
            
            //in all cases, update mission
            if (trigger == 0)
                Mission.setText("Find a weapon");
            if (trigger == 1)
                Mission.setText("Find help on 4th floor");
            if (trigger == 2)
                Mission.setText("Find research on 8th");
            if (trigger == 3)
                Mission.setText("Return to researcher");
            if (trigger == 4)
                Mission.setText("Contact priest on 3rd");
            if (trigger == 5)
                Mission.setText("See researcher again");
            if (trigger == 6)
                Mission.setText("Save the priest on 3rd");
            if (trigger == 7)
                Mission.setText("Find laser in basement");
            if (trigger == 8)
                Mission.setText("Escape to heli-pad (roof)");
            
            //also, update screen
            
            //A3
            if (grid[playerx][playery-2][playerz][00] == 00)//empty
                A3.setIcon(Nothing);
            if (grid[playerx][playery-2][playerz][00] == 05)//wall
                A3.setIcon(Wall);
            if (grid[playerx][playery-2][playerz][01] == 03)//stairs up
                A3.setIcon(StairUp);
            if (grid[playerx][playery-2][playerz][01] == 04)//stairs down
                A3.setIcon(StairDown);
            if (grid[playerx][playery-2][playerz][01] == 06)//horizontal door
                A3.setIcon(HorDoor);
            if (grid[playerx][playery-2][playerz][01] == 07)//verticle door
                A3.setIcon(VerDoor);
            if (grid[playerx][playery-2][playerz][01] == 8)//vent
                A3.setIcon(Vent);
            if (grid[playerx][playery-2][playerz][01] == 10)//pistol
                A3.setIcon(PistolPic);
            if (grid[playerx][playery-2][playerz][01] == 11)//pistolammo
                A3.setIcon(PAmmoPic);
            if (grid[playerx][playery-2][playerz][01] == 12)//shotgun
                A3.setIcon(ShotgunPic);
            if (grid[playerx][playery-2][playerz][01] == 13)//shotgun ammo
                A3.setIcon(SAmmoPic);
            if (grid[playerx][playery-2][playerz][01] == 14)//rifle
                A3.setIcon(RiflePic);
            if (grid[playerx][playery-2][playerz][01] == 15)//rifle ammo
                A3.setIcon(RAmmoPic);
            if (grid[playerx][playery-2][playerz][01] == 16)//laser
                A3.setIcon(LaserPic);
            if (grid[playerx][playery-2][playerz][01] == 20)//research
                A3.setIcon(ResearchPic);
            if (grid[playerx][playery-2][playerz][02] == 05)//researcher dude
                A3.setIcon(ResearcherDude);
            if (grid[playerx][playery-2][playerz][02] == 8)//priest
                A3.setIcon(PriestDude);
            if (grid[playerx][playery-2][playerz][02] == 10)//gaurd
                A3.setIcon(GaurdDude);
            if (grid[playerx][playery-2][playerz][03] == 05)//Zombie
                A3.setIcon(Zombie);
            if (grid[playerx][playery-2][playerz][00] == 07)//Top Exit
                A3.setIcon(TopExit);
            if (grid[playerx][playery-2][playerz][00] == 8)//Bottom Exit
                A3.setIcon(BottomExit);
            
            //B2
            if (grid[playerx-1][playery-1][playerz][00] == 00)//empty
                B2.setIcon(Nothing);
            if (grid[playerx-1][playery-1][playerz][00] == 05)//wall
                B2.setIcon(Wall);
            if (grid[playerx-1][playery-1][playerz][01] == 03)//stairs up
                B2.setIcon(StairUp);
            if (grid[playerx-1][playery-1][playerz][01] == 04)//stairs down
                B2.setIcon(StairDown);
            if (grid[playerx-1][playery-1][playerz][01] == 06)//horizontal door
                B2.setIcon(HorDoor);
            if (grid[playerx-1][playery-1][playerz][01] == 07)//verticle door
                B2.setIcon(VerDoor);
            if (grid[playerx-1][playery-1][playerz][01] == 8)//vent
                B2.setIcon(Vent);
            if (grid[playerx-1][playery-1][playerz][01] == 10)//pistol
                B2.setIcon(PistolPic);
            if (grid[playerx-1][playery-1][playerz][01] == 11)//pistolammo
                B2.setIcon(PAmmoPic);
            if (grid[playerx-1][playery-1][playerz][01] == 12)//shotgun
                B2.setIcon(ShotgunPic);
            if (grid[playerx-1][playery-1][playerz][01] == 13)//shotgun ammo
                B2.setIcon(SAmmoPic);
            if (grid[playerx-1][playery-1][playerz][01] == 14)//rifle
                B2.setIcon(RiflePic);
            if (grid[playerx-1][playery-1][playerz][01] == 15)//rifle ammo
                B2.setIcon(RAmmoPic);
            if (grid[playerx-1][playery-1][playerz][01] == 16)//laser
                B2.setIcon(LaserPic);
            if (grid[playerx-1][playery-1][playerz][01] == 20)//research
                B2.setIcon(ResearchPic);
            if (grid[playerx-1][playery-1][playerz][02] == 05)//researcher dude
                B2.setIcon(ResearcherDude);
            if (grid[playerx-1][playery-1][playerz][02] == 8)//priest
                B2.setIcon(PriestDude);
            if (grid[playerx-1][playery-1][playerz][02] == 10)//gaurd
                B2.setIcon(GaurdDude);
            if (grid[playerx-1][playery-1][playerz][03] == 05)//Zombie
                B2.setIcon(Zombie);
            if (grid[playerx-1][playery-1][playerz][00] == 07)//Top Exit
                B2.setIcon(TopExit);
            if (grid[playerx-1][playery-1][playerz][00] == 8)//Bottom Exit
                B2.setIcon(BottomExit);
            
            //B3
            if (grid[playerx][playery-1][playerz][00] == 00)//empty
                B3.setIcon(Nothing);
            if (grid[playerx][playery-1][playerz][00] == 05)//wall
                B3.setIcon(Wall);
            if (grid[playerx][playery-1][playerz][01] == 03)//stairs up
                B3.setIcon(StairUp);
            if (grid[playerx][playery-1][playerz][01] == 04)//stairs down
                B3.setIcon(StairDown);
            if (grid[playerx][playery-1][playerz][01] == 06)//horizontal door
                B3.setIcon(HorDoor);
            if (grid[playerx][playery-1][playerz][01] == 07)//verticle door
                B3.setIcon(VerDoor);
            if (grid[playerx][playery-1][playerz][01] == 8)//vent
                B3.setIcon(Vent);
            if (grid[playerx][playery-1][playerz][01] == 10)//pistol
                B3.setIcon(PistolPic);
            if (grid[playerx][playery-1][playerz][01] == 11)//pistolammo
                B3.setIcon(PAmmoPic);
            if (grid[playerx][playery-1][playerz][01] == 12)//shotgun
                B3.setIcon(ShotgunPic);
            if (grid[playerx][playery-1][playerz][01] == 13)//shotgun ammo
                B3.setIcon(SAmmoPic);
            if (grid[playerx][playery-1][playerz][01] == 14)//rifle
                B3.setIcon(RiflePic);
            if (grid[playerx][playery-1][playerz][01] == 15)//rifle ammo
                B3.setIcon(RAmmoPic);
            if (grid[playerx][playery-1][playerz][01] == 16)//laser
                B3.setIcon(LaserPic);
            if (grid[playerx][playery-1][playerz][01] == 20)//research
                B3.setIcon(ResearchPic);
            if (grid[playerx][playery-1][playerz][02] == 05)//researcher dude
                B3.setIcon(ResearcherDude);
            if (grid[playerx][playery-1][playerz][02] == 8)//priest
                B3.setIcon(PriestDude);
            if (grid[playerx][playery-1][playerz][02] == 10)//gaurd
                B3.setIcon(GaurdDude);
            if (grid[playerx][playery-1][playerz][03] == 05)//Zombie
                B3.setIcon(Zombie);
            if (grid[playerx][playery-1][playerz][00] == 07)//Top Exit
                B3.setIcon(TopExit);
            if (grid[playerx][playery-1][playerz][00] == 8)//Bottom Exit
                B3.setIcon(BottomExit);
            
            //B4
            if (grid[playerx+1][playery-1][playerz][00] == 00)//empty
                B4.setIcon(Nothing);
            if (grid[playerx+1][playery-1][playerz][00] == 05)//wall
                B4.setIcon(Wall);
            if (grid[playerx+1][playery-1][playerz][01] == 03)//stairs up
                B4.setIcon(StairUp);
            if (grid[playerx+1][playery-1][playerz][01] == 04)//stairs down
                B4.setIcon(StairDown);
            if (grid[playerx+1][playery-1][playerz][01] == 06)//horizontal door
                B4.setIcon(HorDoor);
            if (grid[playerx+1][playery-1][playerz][01] == 07)//verticle door
                B4.setIcon(VerDoor);
            if (grid[playerx+1][playery-1][playerz][01] == 8)//vent
                B4.setIcon(Vent);
            if (grid[playerx+1][playery-1][playerz][01] == 10)//pistol
                B4.setIcon(PistolPic);
            if (grid[playerx+1][playery-1][playerz][01] == 11)//pistolammo
                B4.setIcon(PAmmoPic);
            if (grid[playerx+1][playery-1][playerz][01] == 12)//shotgun
                B4.setIcon(ShotgunPic);
            if (grid[playerx+1][playery-1][playerz][01] == 13)//shotgun ammo
                B4.setIcon(SAmmoPic);
            if (grid[playerx+1][playery-1][playerz][01] == 14)//rifle
                B4.setIcon(RiflePic);
            if (grid[playerx+1][playery-1][playerz][01] == 15)//rifle ammo
                B4.setIcon(RAmmoPic);
            if (grid[playerx+1][playery-1][playerz][01] == 16)//laser
                B4.setIcon(LaserPic);
            if (grid[playerx+1][playery-1][playerz][01] == 20)//research
                B4.setIcon(ResearchPic);
            if (grid[playerx+1][playery-1][playerz][02] == 05)//researcher dude
                B4.setIcon(ResearcherDude);
            if (grid[playerx+1][playery-1][playerz][02] == 8)//priest
                B4.setIcon(PriestDude);
            if (grid[playerx+1][playery-1][playerz][02] == 10)//gaurd
                B4.setIcon(GaurdDude);
            if (grid[playerx+1][playery-1][playerz][03] == 05)//Zombie
                B4.setIcon(Zombie);
            if (grid[playerx+1][playery-1][playerz][00] == 07)//Top Exit
                B4.setIcon(TopExit);
            if (grid[playerx+1][playery-1][playerz][00] == 8)//Bottom Exit
                B4.setIcon(BottomExit);
            
            //C1
            if (grid[playerx-2][playery][playerz][00] == 00)//empty
                C1.setIcon(Nothing);
            if (grid[playerx-2][playery][playerz][00] == 05)//wall
                C1.setIcon(Wall);
            if (grid[playerx-2][playery][playerz][01] == 03)//stairs up
                C1.setIcon(StairUp);
            if (grid[playerx-2][playery][playerz][01] == 04)//stairs down
                C1.setIcon(StairDown);
            if (grid[playerx-2][playery][playerz][01] == 06)//horizontal door
                C1.setIcon(HorDoor);
            if (grid[playerx-2][playery][playerz][01] == 07)//verticle door
                C1.setIcon(VerDoor);
            if (grid[playerx-2][playery][playerz][01] == 8)//vent
                C1.setIcon(Vent);
            if (grid[playerx-2][playery][playerz][01] == 10)//pistol
                C1.setIcon(PistolPic);
            if (grid[playerx-2][playery][playerz][01] == 11)//pistolammo
                C1.setIcon(PAmmoPic);
            if (grid[playerx-2][playery][playerz][01] == 12)//shotgun
                C1.setIcon(ShotgunPic);
            if (grid[playerx-2][playery][playerz][01] == 13)//shotgun ammo
                C1.setIcon(SAmmoPic);
            if (grid[playerx-2][playery][playerz][01] == 14)//rifle
                C1.setIcon(RiflePic);
            if (grid[playerx-2][playery][playerz][01] == 15)//rifle ammo
                C1.setIcon(RAmmoPic);
            if (grid[playerx-2][playery][playerz][01] == 16)//laser
                C1.setIcon(LaserPic);
            if (grid[playerx-2][playery][playerz][01] == 20)//research
                C1.setIcon(ResearchPic);
            if (grid[playerx-2][playery][playerz][02] == 05)//researcher dude
                C1.setIcon(ResearcherDude);
            if (grid[playerx-2][playery][playerz][02] == 8)//priest
                C1.setIcon(PriestDude);
            if (grid[playerx-2][playery][playerz][02] == 10)//gaurd
                C1.setIcon(GaurdDude);
            if (grid[playerx-2][playery][playerz][03] == 05)//Zombie
                C1.setIcon(Zombie);
            if (grid[playerx-2][playery][playerz][00] == 07)//Top Exit
                C1.setIcon(TopExit);
            if (grid[playerx-2][playery][playerz][00] == 8)//Bottom Exit
                C1.setIcon(BottomExit);
            
            //C2
            if (grid[playerx-1][playery][playerz][00] == 00)//empty
                C2.setIcon(Nothing);
            if (grid[playerx-1][playery][playerz][00] == 05)//wall
                C2.setIcon(Wall);
            if (grid[playerx-1][playery][playerz][01] == 03)//stairs up
                C2.setIcon(StairUp);
            if (grid[playerx-1][playery][playerz][01] == 04)//stairs down
                C2.setIcon(StairDown);
            if (grid[playerx-1][playery][playerz][01] == 06)//horizontal door
                C2.setIcon(HorDoor);
            if (grid[playerx-1][playery][playerz][01] == 07)//verticle door
                C2.setIcon(VerDoor);
            if (grid[playerx-1][playery][playerz][01] == 8)//vent
                C2.setIcon(Vent);
            if (grid[playerx-1][playery][playerz][01] == 10)//pistol
                C2.setIcon(PistolPic);
            if (grid[playerx-1][playery][playerz][01] == 11)//pistolammo
                C2.setIcon(PAmmoPic);
            if (grid[playerx-1][playery][playerz][01] == 12)//shotgun
                C2.setIcon(ShotgunPic);
            if (grid[playerx-1][playery][playerz][01] == 13)//shotgun ammo
                C2.setIcon(SAmmoPic);
            if (grid[playerx-1][playery][playerz][01] == 14)//rifle
                C2.setIcon(RiflePic);
            if (grid[playerx-1][playery][playerz][01] == 15)//rifle ammo
                C2.setIcon(RAmmoPic);
            if (grid[playerx-1][playery][playerz][01] == 16)//laser
                C2.setIcon(LaserPic);
            if (grid[playerx-1][playery][playerz][01] == 20)//research
                C2.setIcon(ResearchPic);
            if (grid[playerx-1][playery][playerz][02] == 05)//researcher dude
                C2.setIcon(ResearcherDude);
            if (grid[playerx-1][playery][playerz][02] == 8)//priest
                C2.setIcon(PriestDude);
            if (grid[playerx-1][playery][playerz][02] == 10)//gaurd
                C2.setIcon(GaurdDude);
            if (grid[playerx-1][playery][playerz][03] == 05)//Zombie
                C2.setIcon(Zombie);
            if (grid[playerx-1][playery][playerz][00] == 07)//Top Exit
                C2.setIcon(TopExit);
            if (grid[playerx-1][playery][playerz][00] == 8)//Bottom Exit
                C2.setIcon(BottomExit);
            
            //C3
            if (weapon == 0)//fist
                C3.setIcon(Player);
            if (weapon == 1)//pistol
                C3.setIcon(PlayerP);
            if (weapon == 2)//shotgun
                C3.setIcon(PlayerS);
            if (weapon == 3)//rifle
                C3.setIcon(PlayerR);
            if (weapon == 4)//laser
                C3.setIcon(PlayerL);
            
            //C4
            if (grid[playerx+1][playery][playerz][00] == 00)//empty
                C4.setIcon(Nothing);
            if (grid[playerx+1][playery][playerz][00] == 05)//wall
                C4.setIcon(Wall);
            if (grid[playerx+1][playery][playerz][01] == 03)//stairs up
                C4.setIcon(StairUp);
            if (grid[playerx+1][playery][playerz][01] == 04)//stairs down
                C4.setIcon(StairDown);
            if (grid[playerx+1][playery][playerz][01] == 06)//horizontal door
                C4.setIcon(HorDoor);
            if (grid[playerx+1][playery][playerz][01] == 07)//verticle door
                C4.setIcon(VerDoor);
            if (grid[playerx+1][playery][playerz][01] == 8)//vent
                C4.setIcon(Vent);
            if (grid[playerx+1][playery][playerz][01] == 10)//pistol
                C4.setIcon(PistolPic);
            if (grid[playerx+1][playery][playerz][01] == 11)//pistolammo
                C4.setIcon(PAmmoPic);
            if (grid[playerx+1][playery][playerz][01] == 12)//shotgun
                C4.setIcon(ShotgunPic);
            if (grid[playerx+1][playery][playerz][01] == 13)//shotgun ammo
                C4.setIcon(SAmmoPic);
            if (grid[playerx+1][playery][playerz][01] == 14)//rifle
                C4.setIcon(RiflePic);
            if (grid[playerx+1][playery][playerz][01] == 15)//rifle ammo
                C4.setIcon(RAmmoPic);
            if (grid[playerx+1][playery][playerz][01] == 16)//laser
                C4.setIcon(LaserPic);
            if (grid[playerx+1][playery][playerz][01] == 20)//research
                C4.setIcon(ResearchPic);
            if (grid[playerx+1][playery][playerz][02] == 05)//researcher dude
                C4.setIcon(ResearcherDude);
            if (grid[playerx+1][playery][playerz][02] == 8)//priest
                C4.setIcon(PriestDude);
            if (grid[playerx+1][playery][playerz][02] == 10)//gaurd
                C4.setIcon(GaurdDude);
            if (grid[playerx+1][playery][playerz][03] == 05)//Zombie
                C4.setIcon(Zombie);
            if (grid[playerx+1][playery][playerz][00] == 07)//Top Exit
                C4.setIcon(TopExit);
            if (grid[playerx+1][playery][playerz][00] == 8)//Bottom Exit
                C4.setIcon(BottomExit);
            
            //C5
            if (grid[playerx+2][playery][playerz][00] == 00)//empty
                C5.setIcon(Nothing);
            if (grid[playerx+2][playery][playerz][00] == 05)//wall
                C5.setIcon(Wall);
            if (grid[playerx+2][playery][playerz][01] == 03)//stairs up
                C5.setIcon(StairUp);
            if (grid[playerx+2][playery][playerz][01] == 04)//stairs down
                C5.setIcon(StairDown);
            if (grid[playerx+2][playery][playerz][01] == 06)//horizontal door
                C5.setIcon(HorDoor);
            if (grid[playerx+2][playery][playerz][01] == 07)//verticle door
                C5.setIcon(VerDoor);
            if (grid[playerx+2][playery][playerz][01] == 8)//vent
                C5.setIcon(Vent);
            if (grid[playerx+2][playery][playerz][01] == 10)//pistol
                C5.setIcon(PistolPic);
            if (grid[playerx+2][playery][playerz][01] == 11)//pistolammo
                C5.setIcon(PAmmoPic);
            if (grid[playerx+2][playery][playerz][01] == 12)//shotgun
                C5.setIcon(ShotgunPic);
            if (grid[playerx+2][playery][playerz][01] == 13)//shotgun ammo
                C5.setIcon(SAmmoPic);
            if (grid[playerx+2][playery][playerz][01] == 14)//rifle
                C5.setIcon(RiflePic);
            if (grid[playerx+2][playery][playerz][01] == 15)//rifle ammo
                C5.setIcon(RAmmoPic);
            if (grid[playerx+2][playery][playerz][01] == 16)//laser
                C5.setIcon(LaserPic);
            if (grid[playerx+2][playery][playerz][01] == 20)//research
                C5.setIcon(ResearchPic);
            if (grid[playerx+2][playery][playerz][02] == 05)//researcher dude
                C5.setIcon(ResearcherDude);
            if (grid[playerx+2][playery][playerz][02] == 8)//priest
                C5.setIcon(PriestDude);
            if (grid[playerx+2][playery][playerz][02] == 10)//gaurd
                C5.setIcon(GaurdDude);
            if (grid[playerx+2][playery][playerz][03] == 05)//Zombie
                C5.setIcon(Zombie);
            if (grid[playerx+2][playery][playerz][00] == 07)//Top Exit
                C5.setIcon(TopExit);
            if (grid[playerx+2][playery][playerz][00] == 8)//Bottom Exit
                C5.setIcon(BottomExit);
            
            //D2
            if (grid[playerx-1][playery+1][playerz][00] == 00)//empty
                D2.setIcon(Nothing);
            if (grid[playerx-1][playery+1][playerz][00] == 05)//wall
                D2.setIcon(Wall);
            if (grid[playerx-1][playery+1][playerz][01] == 03)//stairs up
                D2.setIcon(StairUp);
            if (grid[playerx-1][playery+1][playerz][01] == 04)//stairs down
                D2.setIcon(StairDown);
            if (grid[playerx-1][playery+1][playerz][01] == 06)//horizontal door
                D2.setIcon(HorDoor);
            if (grid[playerx-1][playery+1][playerz][01] == 07)//verticle door
                D2.setIcon(VerDoor);
            if (grid[playerx-1][playery+1][playerz][01] == 8)//vent
                D2.setIcon(Vent);
            if (grid[playerx-1][playery+1][playerz][01] == 10)//pistol
                D2.setIcon(PistolPic);
            if (grid[playerx-1][playery+1][playerz][01] == 11)//pistolammo
                D2.setIcon(PAmmoPic);
            if (grid[playerx-1][playery+1][playerz][01] == 12)//shotgun
                D2.setIcon(ShotgunPic);
            if (grid[playerx-1][playery+1][playerz][01] == 13)//shotgun ammo
                D2.setIcon(SAmmoPic);
            if (grid[playerx-1][playery+1][playerz][01] == 14)//rifle
                D2.setIcon(RiflePic);
            if (grid[playerx-1][playery+1][playerz][01] == 15)//rifle ammo
                D2.setIcon(RAmmoPic);
            if (grid[playerx-1][playery+1][playerz][01] == 16)//laser
                D2.setIcon(LaserPic);
            if (grid[playerx-1][playery+1][playerz][01] == 20)//research
                D2.setIcon(ResearchPic);
            if (grid[playerx-1][playery+1][playerz][02] == 05)//researcher dude
                D2.setIcon(ResearcherDude);
            if (grid[playerx-1][playery+1][playerz][02] == 8)//priest
                D2.setIcon(PriestDude);
            if (grid[playerx-1][playery+1][playerz][02] == 10)//gaurd
                D2.setIcon(GaurdDude);
            if (grid[playerx-1][playery+1][playerz][03] == 05)//Zombie
                D2.setIcon(Zombie);
            if (grid[playerx-1][playery+1][playerz][00] == 07)//Top Exit
                D2.setIcon(TopExit);
            if (grid[playerx-1][playery+1][playerz][00] == 8)//Bottom Exit
                D2.setIcon(BottomExit);
            
            //D3
            if (grid[playerx][playery+1][playerz][00] == 00)//empty
                D3.setIcon(Nothing);
            if (grid[playerx][playery+1][playerz][00] == 05)//wall
                D3.setIcon(Wall);
            if (grid[playerx][playery+1][playerz][01] == 03)//stairs up
                D3.setIcon(StairUp);
            if (grid[playerx][playery+1][playerz][01] == 04)//stairs down
                D3.setIcon(StairDown);
            if (grid[playerx][playery+1][playerz][01] == 06)//horizontal door
                D3.setIcon(HorDoor);
            if (grid[playerx][playery+1][playerz][01] == 07)//verticle door
                D3.setIcon(VerDoor);
            if (grid[playerx][playery+1][playerz][01] == 8)//vent
                D3.setIcon(Vent);
            if (grid[playerx][playery+1][playerz][01] == 10)//pistol
                D3.setIcon(PistolPic);
            if (grid[playerx][playery+1][playerz][01] == 11)//pistolammo
                D3.setIcon(PAmmoPic);
            if (grid[playerx][playery+1][playerz][01] == 12)//shotgun
                D3.setIcon(ShotgunPic);
            if (grid[playerx][playery+1][playerz][01] == 13)//shotgun ammo
                D3.setIcon(SAmmoPic);
            if (grid[playerx][playery+1][playerz][01] == 14)//rifle
                D3.setIcon(RiflePic);
            if (grid[playerx][playery+1][playerz][01] == 15)//rifle ammo
                D3.setIcon(RAmmoPic);
            if (grid[playerx][playery+1][playerz][01] == 16)//laser
                D3.setIcon(LaserPic);
            if (grid[playerx][playery+1][playerz][01] == 20)//research
                D3.setIcon(ResearchPic);
            if (grid[playerx][playery+1][playerz][02] == 05)//researcher dude
                D3.setIcon(ResearcherDude);
            if (grid[playerx][playery+1][playerz][02] == 8)//priest
                D3.setIcon(PriestDude);
            if (grid[playerx][playery+1][playerz][02] == 10)//gaurd
                D3.setIcon(GaurdDude);
            if (grid[playerx][playery+1][playerz][03] == 05)//Zombie
                D3.setIcon(Zombie);
            if (grid[playerx][playery+1][playerz][00] == 07)//Top Exit
                D3.setIcon(TopExit);
            if (grid[playerx][playery+1][playerz][00] == 8)//Bottom Exit
                D3.setIcon(BottomExit);
            
            //D4
            if (grid[playerx+1][playery+1][playerz][00] == 00)//empty
                D4.setIcon(Nothing);
            if (grid[playerx+1][playery+1][playerz][00] == 05)//wall
                D4.setIcon(Wall);
            if (grid[playerx+1][playery+1][playerz][01] == 03)//stairs up
                D4.setIcon(StairUp);
            if (grid[playerx+1][playery+1][playerz][01] == 04)//stairs down
                D4.setIcon(StairDown);
            if (grid[playerx+1][playery+1][playerz][01] == 06)//horizontal door
                D4.setIcon(HorDoor);
            if (grid[playerx+1][playery+1][playerz][01] == 07)//verticle door
                D4.setIcon(VerDoor);
            if (grid[playerx+1][playery+1][playerz][01] == 8)//vent
                D4.setIcon(Vent);
            if (grid[playerx+1][playery+1][playerz][01] == 10)//pistol
                D4.setIcon(PistolPic);
            if (grid[playerx+1][playery+1][playerz][01] == 11)//pistolammo
                D4.setIcon(PAmmoPic);
            if (grid[playerx+1][playery+1][playerz][01] == 12)//shotgun
                D4.setIcon(ShotgunPic);
            if (grid[playerx+1][playery+1][playerz][01] == 13)//shotgun ammo
                D4.setIcon(SAmmoPic);
            if (grid[playerx+1][playery+1][playerz][01] == 14)//rifle
                D4.setIcon(RiflePic);
            if (grid[playerx+1][playery+1][playerz][01] == 15)//rifle ammo
                D4.setIcon(RAmmoPic);
            if (grid[playerx+1][playery+1][playerz][01] == 16)//laser
                D4.setIcon(LaserPic);
            if (grid[playerx+1][playery+1][playerz][01] == 20)//research
                D4.setIcon(ResearchPic);
            if (grid[playerx+1][playery+1][playerz][02] == 05)//researcher dude
                D4.setIcon(ResearcherDude);
            if (grid[playerx+1][playery+1][playerz][02] == 8)//priest
                D4.setIcon(PriestDude);
            if (grid[playerx+1][playery+1][playerz][02] == 10)//gaurd
                D4.setIcon(GaurdDude);
            if (grid[playerx+1][playery+1][playerz][03] == 05)//Zombie
                D4.setIcon(Zombie);
            if (grid[playerx+1][playery+1][playerz][00] == 07)//Top Exit
                D4.setIcon(TopExit);
            if (grid[playerx+1][playery+1][playerz][00] == 8)//Bottom Exit
                D4.setIcon(BottomExit);
            
            //E3
            if (grid[playerx][playery+2][playerz][00] == 00)//empty
                E3.setIcon(Nothing);
            if (grid[playerx][playery+2][playerz][00] == 05)//wall
                E3.setIcon(Wall);
            if (grid[playerx][playery+2][playerz][01] == 03)//stairs up
                E3.setIcon(StairUp);
            if (grid[playerx][playery+2][playerz][01] == 04)//stairs down
                E3.setIcon(StairDown);
            if (grid[playerx][playery+2][playerz][01] == 06)//horizontal door
                E3.setIcon(HorDoor);
            if (grid[playerx][playery+2][playerz][01] == 07)//verticle door
                E3.setIcon(VerDoor);
            if (grid[playerx][playery+2][playerz][01] == 8)//vent
                E3.setIcon(Vent);
            if (grid[playerx][playery+2][playerz][01] == 10)//pistol
                E3.setIcon(PistolPic);
            if (grid[playerx][playery+2][playerz][01] == 11)//pistolammo
                E3.setIcon(PAmmoPic);
            if (grid[playerx][playery+2][playerz][01] == 12)//shotgun
                E3.setIcon(ShotgunPic);
            if (grid[playerx][playery+2][playerz][01] == 13)//shotgun ammo
                E3.setIcon(SAmmoPic);
            if (grid[playerx][playery+2][playerz][01] == 14)//rifle
                E3.setIcon(RiflePic);
            if (grid[playerx][playery+2][playerz][01] == 15)//rifle ammo
                E3.setIcon(RAmmoPic);
            if (grid[playerx][playery+2][playerz][01] == 16)//laser
                E3.setIcon(LaserPic);
            if (grid[playerx][playery+2][playerz][01] == 20)//research
                E3.setIcon(ResearchPic);
            if (grid[playerx][playery+2][playerz][02] == 05)//researcher dude
                E3.setIcon(ResearcherDude);
            if (grid[playerx][playery+2][playerz][02] == 8)//priest
                E3.setIcon(PriestDude);
            if (grid[playerx][playery+2][playerz][02] == 10)//gaurd
                E3.setIcon(GaurdDude);
            if (grid[playerx][playery+2][playerz][03] == 05)//Zombie
                E3.setIcon(Zombie);
            if (grid[playerx][playery+2][playerz][00] == 07)//Top Exit
                E3.setIcon(TopExit);
            if (grid[playerx][playery+2][playerz][00] == 8)//Bottom Exit
                E3.setIcon(BottomExit);
            
            
        }
    }
    
    public boolean attack(int aweapon, int distance) {
        int percent = 0;
        ranNum = Randomness.nextInt(100);//Create a # 0 - 99
        
        //fist
        if (aweapon == 0 && ranNum > 19 && distance == 1)//80% of the time
            return true;
        else if(aweapon == 0)
            return false;
        
        //pistol
        if (aweapon == 1 && distance == 1 && ranNum > 39 && AmmoP > 0)//60%
            return true;
        else if(aweapon == 1 && distance == 2 && ranNum > 49 && AmmoP > 0)//50%
            return true;
        else if(aweapon == 1)
            return false;
        
        //shotgun
        if (aweapon == 2 && distance == 1 && ranNum > 9 && AmmoS > 0)//90%
            return true;
        else if(aweapon == 2 && distance == 2 && ranNum > 69 && AmmoS > 0)//30%
            return true;
        else if(aweapon == 2)
            return false;
        
        //rifle
        if (aweapon == 3 && distance == 1 && ranNum > 19 && AmmoR > 0)//80%
            return true;
        else if(aweapon == 3 && distance == 2 && ranNum > 29 && AmmoR > 0)//70%
            return true;
        else if(aweapon == 3)
            return false;
        
        //laser
        if (aweapon == 4 && distance == 1)//100%
            return true;
        else if(aweapon == 4 && distance == 2)//100%
            return true;
        else if(aweapon == 4)
            return false;
        
        return false;
        
        
        
    }
    
    public int[][][][] move(int agrid[][][][]) {//AI code... here's hoping
        //When all else fails, rewrite
        
        //set values
        final int oldgrid[][][][] = agrid;
        newgrid = oldgrid;
        int currentx = 2; 
        int currenty = 2;
        int currentz = 0;
        boolean hasmoved = false;
        
        
        while (currentz<11)//floor
        {
            while (currenty > 1 && currenty < 12)//y
            {
                while (currentx > 1 && currentx < 12)//x
                {
                
                   if (oldgrid[currentx][currenty][currentz][03] == 5)//zombie is at current
                   {
                       
                       //check destroy door
                       ranNum = Randomness.nextInt(100);//0-99
                       if (newgrid[currentx][currenty-1][currentz][01] == 06 && ranNum < 10)//door ontop 10%
                           newgrid[currentx][currenty-1][currentz][01] = 0;
                       ranNum = Randomness.nextInt(100);//0-99
                       if (newgrid[currentx+1][currenty][currentz][01] == 07 && ranNum < 10)//door right 10%
                           newgrid[currentx+1][currenty][currentz][01] = 0;
                       ranNum = Randomness.nextInt(100);//0-99
                       if (newgrid[currentx][currenty+1][currentz][01] == 06 && ranNum < 10)//door on bottom 10%
                           newgrid[currentx][currenty+1][currentz][01] = 0;
                       ranNum = Randomness.nextInt(100);//0-99
                       if (newgrid[currentx-1][currenty][currentz][01] == 07 && ranNum < 10)//door left 10%
                           newgrid[currentx-1][currenty][currentz][01] = 0;
                       
                       //check if player is nearby
                       if (newgrid[currentx-1][currenty][currentz][03] == 01 && newgrid[currentx-1][currenty][currentz][01] == 0)
                       {
                           A3.removeActionListener(listen);
                            B2.removeActionListener(listen);
                            B3.removeActionListener(listen);
                            B4.removeActionListener(listen);
                            C1.removeActionListener(listen);
                            C2.removeActionListener(listen);
                            C3.removeActionListener(listen);
                            C4.removeActionListener(listen);
                            C5.removeActionListener(listen);
                            D2.removeActionListener(listen);
                            D3.removeActionListener(listen);
                            D4.removeActionListener(listen);
                            E3.removeActionListener(listen);
                            alert.showMessageDialog(null, "Game Over, man.. Game over...");
                       }//end left 1 
                       if (newgrid[currentx][currenty-1][currentz][03] == 01 && newgrid[currentx][currenty-1][currentz][01] == 0)
                       {
                           A3.removeActionListener(listen);
                            B2.removeActionListener(listen);
                            B3.removeActionListener(listen);
                            B4.removeActionListener(listen);
                            C1.removeActionListener(listen);
                            C2.removeActionListener(listen);
                            C3.removeActionListener(listen);
                            C4.removeActionListener(listen);
                            C5.removeActionListener(listen);
                            D2.removeActionListener(listen);
                            D3.removeActionListener(listen);
                            D4.removeActionListener(listen);
                            E3.removeActionListener(listen);
                            alert.showMessageDialog(null, "Game Over, man.. Game over...");
                       }//end up 1
                       if (newgrid[currentx+1][currenty][currentz][03] == 01 && newgrid[currentx+1][currenty][currentz][01] == 0)
                       {
                           A3.removeActionListener(listen);
                            B2.removeActionListener(listen);
                            B3.removeActionListener(listen);
                            B4.removeActionListener(listen);
                            C1.removeActionListener(listen);
                            C2.removeActionListener(listen);
                            C3.removeActionListener(listen);
                            C4.removeActionListener(listen);
                            C5.removeActionListener(listen);
                            D2.removeActionListener(listen);
                            D3.removeActionListener(listen);
                            D4.removeActionListener(listen);
                            E3.removeActionListener(listen);
                            alert.showMessageDialog(null, "Game Over, man.. Game over...");
                       }//end right 1
                       if (newgrid[currentx][currenty+1][currentz][03] == 01 && newgrid[currentx][currenty+1][currentz][01] == 0)
                       {
                           A3.removeActionListener(listen);
                            B2.removeActionListener(listen);
                            B3.removeActionListener(listen);
                            B4.removeActionListener(listen);
                            C1.removeActionListener(listen);
                            C2.removeActionListener(listen);
                            C3.removeActionListener(listen);
                            C4.removeActionListener(listen);
                            C5.removeActionListener(listen);
                            D2.removeActionListener(listen);
                            D3.removeActionListener(listen);
                            D4.removeActionListener(listen);
                            E3.removeActionListener(listen);
                            alert.showMessageDialog(null, "Game Over, man.. Game over...");
                       }//end down 1
                       
                       if (newgrid[currentx-2][currenty][currentz][03] == 01 && newgrid[currentx-1][currenty][currentz][01] == 00 && newgrid[currentx-1][currenty][currentz][00] != 05 && newgrid[currentx-1][currenty][currentz][03] != 05)//clear
                       {
                           newgrid[currentx][currenty][currentz][03] = 0;//erase zombie
                           newgrid[currentx-1][currenty][currentz][03] = 15;//make new number (this will be converted to a 5 later)
                           hasmoved = true;
                       }//end left 2 
                       if (newgrid[currentx][currenty-2][currentz][03] == 01 && newgrid[currentx][currenty-1][currentz][01] == 00 && newgrid[currentx][currenty-1][currentz][00] != 05 && newgrid[currentx][currenty-1][currentz][03] != 05)//clear
                       {
                           newgrid[currentx][currenty][currentz][03] = 0;//erase zombie
                           newgrid[currentx][currenty-1][currentz][03] = 15;//make new number (this will be converted to a 5 later)
                           hasmoved = true;
                       }//end up 2
                       if (newgrid[currentx+2][currenty][currentz][03] == 01 && newgrid[currentx+1][currenty][currentz][01] == 00 && newgrid[currentx+1][currenty][currentz][00] != 05 && newgrid[currentx+1][currenty][currentz][03] != 05)//clear
                       {
                           newgrid[currentx][currenty][currentz][03] = 0;//erase zombie
                           newgrid[currentx+1][currenty][currentz][03] = 15;//make new number (this will be converted to a 5 later)
                           hasmoved = true;
                       }//end right 2 
                       if (newgrid[currentx][currenty+2][currentz][03] == 01 && newgrid[currentx][currenty+1][currentz][01] == 00 && newgrid[currentx][currenty+1][currentz][00] != 05 && newgrid[currentx][currenty+1][currentz][03] != 05)//clear
                       {
                           newgrid[currentx][currenty][currentz][03] = 0;//erase zombie
                           newgrid[currentx][currenty+1][currentz][03] = 15;//make new number (this will be converted to a 5 later)
                           hasmoved = true;
                       }//end down 2 
                    
                       //randomly move
                       if (!hasmoved)//hasn't moved yet
                       {
                           ranNum = Randomness.nextInt(4);//0-3
                           if (ranNum == 0 && newgrid[currentx-1][currenty][currentz][01] == 00 && newgrid[currentx-1][currenty][currentz][00] != 05 && newgrid[currentx-1][currenty][currentz][03] != 05)//clear
                           {
                               newgrid[currentx][currenty][currentz][03] = 0;//erase zombie
                               newgrid[currentx-1][currenty][currentz][03] = 15;//make new number (this will be converted to a 5 later)
                           }//left
                           if (ranNum == 1 && newgrid[currentx][currenty-1][currentz][01] == 00 && newgrid[currentx][currenty-1][currentz][00] != 05 && newgrid[currentx][currenty-1][currentz][03] != 05)//clear
                           {
                               newgrid[currentx][currenty][currentz][03] = 0;//erase zombie
                               newgrid[currentx][currenty-1][currentz][03] = 15;//make new number (this will be converted to a 5 later)
                           }//up
                           if (ranNum == 2 && newgrid[currentx+1][currenty][currentz][01] == 00 && newgrid[currentx+1][currenty][currentz][00] != 05 && newgrid[currentx+1][currenty][currentz][03] != 05)//clear
                           {
                               newgrid[currentx][currenty][currentz][03] = 0;//erase zombie
                               newgrid[currentx+1][currenty][currentz][03] = 15;//make new number (this will be converted to a 5 later)
                           }//right
                           if (ranNum == 3 && newgrid[currentx][currenty+1][currentz][01] == 00 && newgrid[currentx][currenty+1][currentz][00] != 05 && newgrid[currentx][currenty+1][currentz][03] != 05)//clear
                           {
                               newgrid[currentx][currenty][currentz][03] = 0;//erase zombie
                               newgrid[currentx][currenty+1][currentz][03] = 15;//make new number (this will be converted to a 5 later)
                           }//up
                               
                       }//end random
                    
                       
                    
                   }//end zombie at current
                   currentx ++;//add one to x
                }
                currentx = 02;//reset x
                currenty ++;//add one to y
            }
            currenty = 02;//reset y
            currentz ++;//add one to z
        }//end z while
        
        
        //now replace 15's with 5's
        for (currentz = 0; currentz < 11; currentz++)
        {
            for (currenty = 2; currenty > 1 && currenty < 12; currenty++)
            {
                for (currentx = 2; currentx > 1 && currentx < 12; currentx++)
                {
                    if (newgrid[currentx][currenty][currentz][03] == 15)
                        newgrid[currentx][currenty][currentz][03] = 5;
                }
            }//y
        }//z
    /* 
        
        
        
                //grid
        
        int[][][][] oldgrid = agrid;
        
        //set values
        newgrid = oldgrid;
        int x = 0, y = 0, z = 0, v = 0;
        boolean hasmove = false;//the AI hasn't moved
        
        
        //Zombies
        x = 2;
        y = 2;
        z = 0;
        v = 03;
        while (z<11)//floor
        {
            while (y > 1 && y < 12)//y
            {
                while (x > 1 && x < 12)//x
                {
                    oldgrid = agrid;
                    if(oldgrid[x][y][z][03] == 5) {//There's a zombie at xvz! Holy...
                        
                        hasmove= false;
                        //check to see if Mr. Zombie has destroyed a door
                        ranNum = Randomness.nextInt(100);//0-99
                        if (newgrid[x][y-1][z][01] == 06 && ranNum < 10)//up 10%
                            newgrid[x][y-1][z][01] = 0;
                        ranNum = Randomness.nextInt(100);//0-99
                        if (newgrid[x+1][y][z][01] == 07 && ranNum < 10)//right 10%
                            newgrid[x+1][y][z][01] = 0;
                        ranNum = Randomness.nextInt(100);//0-99
                        if (newgrid[x][y+1][z][01] == 06 && ranNum < 10)//down 10%
                            newgrid[x][y+1][z][01] = 0;
                        ranNum = Randomness.nextInt(100);//0-99
                        if (newgrid[x-1][y][z][01] == 07 && ranNum < 10)//left 10%
                            newgrid[x-1][y][z][01] = 0;
                        
                        
                        
                        //check to see if Mr. Zombie can see Mr. Player, if so follow
                        
                        if (!hasmove && newgrid[x-1][y][z][03] == 01 && oldgrid[x-1][y][z][00] != 05 && newgrid[x-1][y][z][01] != 07 && newgrid[x-1][y][z][03] != 05)//left one - no wall, door, zombie
                        {
                            alert.showMessageDialog(null, "left");
                            hasmove = true;
                            A3.removeActionListener(listen);
                            B2.removeActionListener(listen);
                            B3.removeActionListener(listen);
                            B4.removeActionListener(listen);
                            C1.removeActionListener(listen);
                            C2.removeActionListener(listen);
                            C3.removeActionListener(listen);
                            C4.removeActionListener(listen);
                            C5.removeActionListener(listen);
                            D2.removeActionListener(listen);
                            D3.removeActionListener(listen);
                            D4.removeActionListener(listen);
                            E3.removeActionListener(listen);
                            alert.showMessageDialog(null, "Game Over, man.. Game over...");
                        }
                        
                        else
                        if (newgrid[x][y-1][z][03] == 01 && oldgrid[x][y-1][z][00] != 05 && newgrid[x][y-1][z][01] != 06 && newgrid[x][y-1][z][03] != 05 && !hasmove)//up one - no wall, door, zombie
                        {
                            hasmove = true;
                            alert.showMessageDialog(null, "up");
                            A3.removeActionListener(listen);
                            B2.removeActionListener(listen);
                            B3.removeActionListener(listen);
                            B4.removeActionListener(listen);
                            C1.removeActionListener(listen);
                            C2.removeActionListener(listen);
                            C3.removeActionListener(listen);
                            C4.removeActionListener(listen);
                            C5.removeActionListener(listen);
                            D2.removeActionListener(listen);
                            D3.removeActionListener(listen);
                            D4.removeActionListener(listen);
                            E3.removeActionListener(listen);
                            alert.showMessageDialog(null, "Game Over, man.. Game over...");
                        }
                        
                        else
                        if (newgrid[x+1][y][z][03] == 01 && oldgrid[x+1][y][z][00] != 05 && newgrid[x+1][y][z][01] != 07 && newgrid[x+1][y][z][03] != 05 && !hasmove)//right one - no wall, door, zombie
                        {
                            alert.showMessageDialog(null, "" + hasmove);
                            alert.showMessageDialog(null, "" + aimove);
                            hasmove = true;
                            alert.showMessageDialog(null, "right");
                            A3.removeActionListener(listen);
                            B2.removeActionListener(listen);
                            B3.removeActionListener(listen);
                            B4.removeActionListener(listen);
                            C1.removeActionListener(listen);
                            C2.removeActionListener(listen);
                            C3.removeActionListener(listen);
                            C4.removeActionListener(listen);
                            C5.removeActionListener(listen);
                            D2.removeActionListener(listen);
                            D3.removeActionListener(listen);
                            D4.removeActionListener(listen);
                            E3.removeActionListener(listen);
                            alert.showMessageDialog(null, "Game Over, man.. Game over...");
                        }
                        
                        else
                        if (newgrid[x][y+1][z][03] == 01 && oldgrid[x][y+1][z][00] != 05 && newgrid[x][y+1][z][01] != 06 && newgrid[x][y+1][z][03] != 05 && !hasmove)//down one - no wall, door, zombie
                        {
                            alert.showMessageDialog(null, "" + hasmove);
                            alert.showMessageDialog(null, "" + aimove);
                            hasmove = true;
                            
                            alert.showMessageDialog(null, "down");
                            A3.removeActionListener(listen);
                            B2.removeActionListener(listen);
                            B3.removeActionListener(listen);
                            B4.removeActionListener(listen);
                            C1.removeActionListener(listen);
                            C2.removeActionListener(listen);
                            C3.removeActionListener(listen);
                            C4.removeActionListener(listen);
                            C5.removeActionListener(listen);
                            D2.removeActionListener(listen);
                            D3.removeActionListener(listen);
                            D4.removeActionListener(listen);
                            E3.removeActionListener(listen);
                            alert.showMessageDialog(null, "Game Over, man.. Game over...");
                        }
                       else
                        if (newgrid[x-2][y][z][03] == 01 && oldgrid[x-1][y][z][00] != 05 && newgrid[x-1][y][z][01] != 07 && newgrid[x-1][y][z][03] != 05 && !hasmove)//left two - no wall, door, zombie
                        {
                            newgrid[x][y][z][03] = 0; //get rid of zombie
                            newgrid[x-1][y][z][03] = 05;//setup new zombie
                            alert.showMessageDialog(null, "left");
                            hasmove = true;
                        }
                        else
                        if (newgrid[x][y-2][z][03] == 01 && oldgrid[x][y-1][z][00] != 05 && newgrid[x][y-1][z][01] != 06 && newgrid[x][y-1][z][03] != 05 && !hasmove)//up two - no wall, door, zombie
                        {
                            newgrid[x][y][z][03] = 00;//get rid of zombie
                            newgrid[x][y-1][z][03] = 05;//setup new zombie
                            alert.showMessageDialog(null, "up");
                            hasmove = true;
                        }
                        else
                        if (newgrid[x+2][y][z][03] == 01 && oldgrid[x+1][y][z][00] != 05 && newgrid[x+1][y][z][01] != 07 && newgrid[x+1][y][z][03] != 05 && !hasmove)//right two - no wall, door, zombie
                        {
                            newgrid[x][y][z][03] = 00;//get rid of zombie
                            newgrid[x+1][y][z][03] = 05;//setup new zombie
                            alert.showMessageDialog(null, "" +hasmove);
                            alert.showMessageDialog(null, "right");
                            alert.showMessageDialog(null, "" + aimove);
                            aimove++;
                            hasmove = true;
                        }
                        else
                        if (newgrid[x][y+2][z][03] == 01 && oldgrid[x][y+1][z][00] != 05 && newgrid[x][y+1][z][01] != 06 && newgrid[x][y+1][z][03] != 05 && !hasmove)//down two - no wall, door, zombie
                        {
                            alert.showMessageDialog(null, "" + aimove);
                            alert.showMessageDialog(null, "down");
                            newgrid[x][y][z][03] = 00;//get rid of zombie
                            newgrid[x][y+1][z][03] = 05;//setup new zombie
                            hasmove = true;
                        }                       
                        
                        
                        //goto a random direction if Mr. Zombie hasn't moved yet
                        else
                        if (!hasmove) {
                            ranNum = Randomness.nextInt(4);//0-3
                            if (oldgrid[x][y-1][z][00] != 05 && newgrid[x][y-1][z][01] != 06 && newgrid[x][y-1][z][03] != 05 && ranNum == 0)//up
                            {
                                newgrid[x][y][z][03] = 0;//erase Mr. Zombie
                                newgrid[x][y-1][z][03] = 05;//create a new one
                                hasmove = true;
                            }else
                            if (newgrid[x+1][y][z][00] != 05 && newgrid[x+1][y][z][01] != 07 && newgrid[x+1][y][z][03] != 05 && ranNum == 1)//right
                            {
                                newgrid[x][y][z][03] = 0;//erase Mr. Zombie
                                newgrid[x+1][y][z][03] = 05;//create a new one
                                hasmove = true;
                            }else
                            if (newgrid[x][y+1][z][00] != 05 && newgrid[x][y+1][z][01] != 06 && newgrid[x][y+1][z][03] != 05 && ranNum == 2)//down
                            {
                                newgrid[x][y][z][03] = 0;//erase Mr. Zombie
                                newgrid[x][y+1][z][03] = 05;//create a new one
                                hasmove = true;
                            }else
                            if (newgrid[x-1][y][z][00] != 05 && newgrid[x-1][y][z][01] != 07 && newgrid[x-1][y][z][03] != 05 && ranNum == 3)//left
                            {
                                newgrid[x][y][z][03] = 0;//erase Mr. Zombie
                                newgrid[x-1][y][z][03] = 05;//create a new one
                                hasmove = true;
                            }
                        }
                        
                        //if Mr. Zombie is on stairs, go up/down
                        
                        
                        if (z == 0)
                        alert.showMessageDialog(null, "x" + x + "y" + y + "z" + z + " " + oldgrid[x][y][z][03] + "   " + oldgrid[x + 1][y][z][03]);
                        
                        
                  
                        
                    }//end zombie
                    alert.showMessageDialog(null, "x" + x + "y" + y + "z" + z);
                    x ++;//add one to x
                }
                x = 02;//reset x
                y ++;//add one to y
            }
            y = 02;//reset y
            z ++;//add one to z
        }//end z while
      */  
        
        
        
        
        
        return newgrid;
    }
}
